/*HEADER********************************************************************
 *
 * Copyright (c) 2013 Freescale Semiconductor;
 * All Rights Reserved
 *
 ****************************************************************************
 *
 * THIS SOFTWARE IS PROVIDED BY FREESCALE "AS IS" AND ANY EXPRESSED OR
 * IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
 * OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
 * IN NO EVENT SHALL FREESCALE OR ITS CONTRIBUTORS BE LIABLE FOR ANY DIRECT,
 * INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
 * (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR
 * SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
 * HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT,
 * STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING
 * IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF
 * THE POSSIBILITY OF SUCH DAMAGE.
 *
 **************************************************************************
 *
 * Comments:
 *
 *   This file contains TSIL definitions.
 *
 *END************************************************************************/
#ifndef TSS_SENSORTSIL_DEF_H
#define TSS_SENSORTSIL_DEF_H

#if TSS_DETECT_METHOD(TSIL)

  #if TSS_HCS08_MCU || TSS_CFV1_MCU

    #if TSS_USE_SIMPLE_LOW_LEVEL

      /***************** ROM & RAM Data definition *******************/

      #if TSS_N_ELECTRODES > 0
        #if TSS_DETECT_EL_METHOD(0,TSIL)
            const TSS_TSIL_ELECTRODE_ROMDATA TSS_E0_ROMDATA_CONTEXT = { TSS_GET_EL_MODULE_ID(0) };
                TSS_TSIL_ELECTRODE_RAMDATA TSS_E0_RAMDATA_CONTEXT = { 0u };
        #endif
      #endif

      #if TSS_N_ELECTRODES > 1
        #if TSS_DETECT_EL_METHOD(1,TSIL)
            const TSS_TSIL_ELECTRODE_ROMDATA TSS_E1_ROMDATA_CONTEXT = { TSS_GET_EL_MODULE_ID(1) };
                TSS_TSIL_ELECTRODE_RAMDATA TSS_E1_RAMDATA_CONTEXT = { 0u };
        #endif
      #endif

      #if TSS_N_ELECTRODES > 2
        #if TSS_DETECT_EL_METHOD(2,TSIL)
            const TSS_TSIL_ELECTRODE_ROMDATA TSS_E2_ROMDATA_CONTEXT = { TSS_GET_EL_MODULE_ID(2) };
                TSS_TSIL_ELECTRODE_RAMDATA TSS_E2_RAMDATA_CONTEXT = { 0u };
        #endif
      #endif

      #if TSS_N_ELECTRODES > 3
        #if TSS_DETECT_EL_METHOD(3,TSIL)
            const TSS_TSIL_ELECTRODE_ROMDATA TSS_E3_ROMDATA_CONTEXT = { TSS_GET_EL_MODULE_ID(3) };
                TSS_TSIL_ELECTRODE_RAMDATA TSS_E3_RAMDATA_CONTEXT = { 0u };
        #endif
      #endif

      #if TSS_N_ELECTRODES > 4
        #if TSS_DETECT_EL_METHOD(4,TSIL)
            const TSS_TSIL_ELECTRODE_ROMDATA TSS_E4_ROMDATA_CONTEXT = { TSS_GET_EL_MODULE_ID(4) };
                TSS_TSIL_ELECTRODE_RAMDATA TSS_E4_RAMDATA_CONTEXT = { 0u };
        #endif
      #endif

      #if TSS_N_ELECTRODES > 5
        #if TSS_DETECT_EL_METHOD(5,TSIL)
            const TSS_TSIL_ELECTRODE_ROMDATA TSS_E5_ROMDATA_CONTEXT = { TSS_GET_EL_MODULE_ID(5) };
                TSS_TSIL_ELECTRODE_RAMDATA TSS_E5_RAMDATA_CONTEXT = { 0u };
        #endif
      #endif

      #if TSS_N_ELECTRODES > 6
        #if TSS_DETECT_EL_METHOD(6,TSIL)
            const TSS_TSIL_ELECTRODE_ROMDATA TSS_E6_ROMDATA_CONTEXT = { TSS_GET_EL_MODULE_ID(6) };
                TSS_TSIL_ELECTRODE_RAMDATA TSS_E6_RAMDATA_CONTEXT = { 0u };
        #endif
      #endif

      #if TSS_N_ELECTRODES > 7
        #if TSS_DETECT_EL_METHOD(7,TSIL)
            const TSS_TSIL_ELECTRODE_ROMDATA TSS_E7_ROMDATA_CONTEXT = { TSS_GET_EL_MODULE_ID(7) };
                TSS_TSIL_ELECTRODE_RAMDATA TSS_E7_RAMDATA_CONTEXT = { 0u };
        #endif
      #endif

      #if TSS_N_ELECTRODES > 8
        #if TSS_DETECT_EL_METHOD(8,TSIL)
            const TSS_TSIL_ELECTRODE_ROMDATA TSS_E8_ROMDATA_CONTEXT = { TSS_GET_EL_MODULE_ID(8) };
                TSS_TSIL_ELECTRODE_RAMDATA TSS_E8_RAMDATA_CONTEXT = { 0u };
        #endif
      #endif

      #if TSS_N_ELECTRODES > 9
        #if TSS_DETECT_EL_METHOD(9,TSIL)
            const TSS_TSIL_ELECTRODE_ROMDATA TSS_E9_ROMDATA_CONTEXT = { TSS_GET_EL_MODULE_ID(9) };
                TSS_TSIL_ELECTRODE_RAMDATA TSS_E9_RAMDATA_CONTEXT = { 0u };
        #endif
      #endif

      #if TSS_N_ELECTRODES > 10
        #if TSS_DETECT_EL_METHOD(10,TSIL)
            const TSS_TSIL_ELECTRODE_ROMDATA TSS_E10_ROMDATA_CONTEXT = { TSS_GET_EL_MODULE_ID(10) };
                TSS_TSIL_ELECTRODE_RAMDATA TSS_E10_RAMDATA_CONTEXT = { 0u };
        #endif
      #endif

      #if TSS_N_ELECTRODES > 11
        #if TSS_DETECT_EL_METHOD(11,TSIL)
            const TSS_TSIL_ELECTRODE_ROMDATA TSS_E11_ROMDATA_CONTEXT = { TSS_GET_EL_MODULE_ID(11) };
                TSS_TSIL_ELECTRODE_RAMDATA TSS_E11_RAMDATA_CONTEXT = { 0u };
        #endif
      #endif

      #if TSS_N_ELECTRODES > 12
        #if TSS_DETECT_EL_METHOD(12,TSIL)
            const TSS_TSIL_ELECTRODE_ROMDATA TSS_E12_ROMDATA_CONTEXT = { TSS_GET_EL_MODULE_ID(12) };
                TSS_TSIL_ELECTRODE_RAMDATA TSS_E12_RAMDATA_CONTEXT = { 0u };
        #endif
      #endif

      #if TSS_N_ELECTRODES > 13
        #if TSS_DETECT_EL_METHOD(13,TSIL)
            const TSS_TSIL_ELECTRODE_ROMDATA TSS_E13_ROMDATA_CONTEXT = { TSS_GET_EL_MODULE_ID(13) };
                TSS_TSIL_ELECTRODE_RAMDATA TSS_E13_RAMDATA_CONTEXT = { 0u };
        #endif
      #endif

      #if TSS_N_ELECTRODES > 14
        #if TSS_DETECT_EL_METHOD(14,TSIL)
            const TSS_TSIL_ELECTRODE_ROMDATA TSS_E14_ROMDATA_CONTEXT = { TSS_GET_EL_MODULE_ID(14) };
                TSS_TSIL_ELECTRODE_RAMDATA TSS_E14_RAMDATA_CONTEXT = { 0u };
        #endif
      #endif

      #if TSS_N_ELECTRODES > 15
        #if TSS_DETECT_EL_METHOD(15,TSIL)
            const TSS_TSIL_ELECTRODE_ROMDATA TSS_E15_ROMDATA_CONTEXT = { TSS_GET_EL_MODULE_ID(15) };
                TSS_TSIL_ELECTRODE_RAMDATA TSS_E15_RAMDATA_CONTEXT = { 0u };
        #endif
      #endif

      #if TSS_N_ELECTRODES > 16
        #if TSS_DETECT_EL_METHOD(16,TSIL)
            const TSS_TSIL_ELECTRODE_ROMDATA TSS_E16_ROMDATA_CONTEXT = { TSS_GET_EL_MODULE_ID(16) };
                TSS_TSIL_ELECTRODE_RAMDATA TSS_E16_RAMDATA_CONTEXT = { 0u };
        #endif
      #endif

      #if TSS_N_ELECTRODES > 17
        #if TSS_DETECT_EL_METHOD(17,TSIL)
            const TSS_TSIL_ELECTRODE_ROMDATA TSS_E17_ROMDATA_CONTEXT = { TSS_GET_EL_MODULE_ID(17) };
                TSS_TSIL_ELECTRODE_RAMDATA TSS_E17_RAMDATA_CONTEXT = { 0u };
        #endif
      #endif

      #if TSS_N_ELECTRODES > 18
        #if TSS_DETECT_EL_METHOD(18,TSIL)
            const TSS_TSIL_ELECTRODE_ROMDATA TSS_E18_ROMDATA_CONTEXT = { TSS_GET_EL_MODULE_ID(18) };
                TSS_TSIL_ELECTRODE_RAMDATA TSS_E18_RAMDATA_CONTEXT = { 0u };
        #endif
      #endif

      #if TSS_N_ELECTRODES > 19
        #if TSS_DETECT_EL_METHOD(19,TSIL)
            const TSS_TSIL_ELECTRODE_ROMDATA TSS_E19_ROMDATA_CONTEXT = { TSS_GET_EL_MODULE_ID(19) };
                TSS_TSIL_ELECTRODE_RAMDATA TSS_E19_RAMDATA_CONTEXT = { 0u };
        #endif
      #endif

      #if TSS_N_ELECTRODES > 20
        #if TSS_DETECT_EL_METHOD(20,TSIL)
            const TSS_TSIL_ELECTRODE_ROMDATA TSS_E20_ROMDATA_CONTEXT = { TSS_GET_EL_MODULE_ID(20) };
                TSS_TSIL_ELECTRODE_RAMDATA TSS_E20_RAMDATA_CONTEXT = { 0u };
        #endif
      #endif

      #if TSS_N_ELECTRODES > 21
        #if TSS_DETECT_EL_METHOD(21,TSIL)
            const TSS_TSIL_ELECTRODE_ROMDATA TSS_E21_ROMDATA_CONTEXT = { TSS_GET_EL_MODULE_ID(21) };
                TSS_TSIL_ELECTRODE_RAMDATA TSS_E21_RAMDATA_CONTEXT = { 0u };
        #endif
      #endif

      #if TSS_N_ELECTRODES > 22
        #if TSS_DETECT_EL_METHOD(22,TSIL)
            const TSS_TSIL_ELECTRODE_ROMDATA TSS_E22_ROMDATA_CONTEXT = { TSS_GET_EL_MODULE_ID(22) };
                TSS_TSIL_ELECTRODE_RAMDATA TSS_E22_RAMDATA_CONTEXT = { 0u };
        #endif
      #endif

      #if TSS_N_ELECTRODES > 23
        #if TSS_DETECT_EL_METHOD(23,TSIL)
            const TSS_TSIL_ELECTRODE_ROMDATA TSS_E23_ROMDATA_CONTEXT = { TSS_GET_EL_MODULE_ID(23) };
                TSS_TSIL_ELECTRODE_RAMDATA TSS_E23_RAMDATA_CONTEXT = { 0u };
        #endif
      #endif

      #if TSS_N_ELECTRODES > 24
        #if TSS_DETECT_EL_METHOD(24,TSIL)
            const TSS_TSIL_ELECTRODE_ROMDATA TSS_E24_ROMDATA_CONTEXT = { TSS_GET_EL_MODULE_ID(24) };
                TSS_TSIL_ELECTRODE_RAMDATA TSS_E24_RAMDATA_CONTEXT = { 0u };
        #endif
      #endif

      #if TSS_N_ELECTRODES > 25
        #if TSS_DETECT_EL_METHOD(25,TSIL)
            const TSS_TSIL_ELECTRODE_ROMDATA TSS_E25_ROMDATA_CONTEXT = { TSS_GET_EL_MODULE_ID(25) };
                TSS_TSIL_ELECTRODE_RAMDATA TSS_E25_RAMDATA_CONTEXT = { 0u };
        #endif
      #endif

      #if TSS_N_ELECTRODES > 26
        #if TSS_DETECT_EL_METHOD(26,TSIL)
            const TSS_TSIL_ELECTRODE_ROMDATA TSS_E26_ROMDATA_CONTEXT = { TSS_GET_EL_MODULE_ID(26) };
                TSS_TSIL_ELECTRODE_RAMDATA TSS_E26_RAMDATA_CONTEXT = { 0u };
        #endif
      #endif

      #if TSS_N_ELECTRODES > 27
        #if TSS_DETECT_EL_METHOD(27,TSIL)
            const TSS_TSIL_ELECTRODE_ROMDATA TSS_E27_ROMDATA_CONTEXT = { TSS_GET_EL_MODULE_ID(27) };
                TSS_TSIL_ELECTRODE_RAMDATA TSS_E27_RAMDATA_CONTEXT = { 0u };
        #endif
      #endif

      #if TSS_N_ELECTRODES > 28
        #if TSS_DETECT_EL_METHOD(28,TSIL)
            const TSS_TSIL_ELECTRODE_ROMDATA TSS_E28_ROMDATA_CONTEXT = { TSS_GET_EL_MODULE_ID(28) };
                TSS_TSIL_ELECTRODE_RAMDATA TSS_E28_RAMDATA_CONTEXT = { 0u };
        #endif
      #endif

      #if TSS_N_ELECTRODES > 29
        #if TSS_DETECT_EL_METHOD(29,TSIL)
            const TSS_TSIL_ELECTRODE_ROMDATA TSS_E29_ROMDATA_CONTEXT = { TSS_GET_EL_MODULE_ID(29) };
                TSS_TSIL_ELECTRODE_RAMDATA TSS_E29_RAMDATA_CONTEXT = { 0u };
        #endif
      #endif

      #if TSS_N_ELECTRODES > 30
        #if TSS_DETECT_EL_METHOD(30,TSIL)
            const TSS_TSIL_ELECTRODE_ROMDATA TSS_E30_ROMDATA_CONTEXT = { TSS_GET_EL_MODULE_ID(30) };
                TSS_TSIL_ELECTRODE_RAMDATA TSS_E30_RAMDATA_CONTEXT = { 0u };
        #endif
      #endif

      #if TSS_N_ELECTRODES > 31
        #if TSS_DETECT_EL_METHOD(31,TSIL)
            const TSS_TSIL_ELECTRODE_ROMDATA TSS_E31_ROMDATA_CONTEXT = { TSS_GET_EL_MODULE_ID(31) };
                TSS_TSIL_ELECTRODE_RAMDATA TSS_E31_RAMDATA_CONTEXT = { 0u };
        #endif
      #endif

      #if TSS_N_ELECTRODES > 32
        #if TSS_DETECT_EL_METHOD(32,TSIL)
            const TSS_TSIL_ELECTRODE_ROMDATA TSS_E32_ROMDATA_CONTEXT = { TSS_GET_EL_MODULE_ID(32) };
                TSS_TSIL_ELECTRODE_RAMDATA TSS_E32_RAMDATA_CONTEXT = { 0u };
        #endif
      #endif

      #if TSS_N_ELECTRODES > 33
        #if TSS_DETECT_EL_METHOD(33,TSIL)
            const TSS_TSIL_ELECTRODE_ROMDATA TSS_E33_ROMDATA_CONTEXT = { TSS_GET_EL_MODULE_ID(33) };
                TSS_TSIL_ELECTRODE_RAMDATA TSS_E33_RAMDATA_CONTEXT = { 0u };
        #endif
      #endif

      #if TSS_N_ELECTRODES > 34
        #if TSS_DETECT_EL_METHOD(34,TSIL)
            const TSS_TSIL_ELECTRODE_ROMDATA TSS_E34_ROMDATA_CONTEXT = { TSS_GET_EL_MODULE_ID(34) };
                TSS_TSIL_ELECTRODE_RAMDATA TSS_E34_RAMDATA_CONTEXT = { 0u };
        #endif
      #endif

      #if TSS_N_ELECTRODES > 35
        #if TSS_DETECT_EL_METHOD(35,TSIL)
            const TSS_TSIL_ELECTRODE_ROMDATA TSS_E35_ROMDATA_CONTEXT = { TSS_GET_EL_MODULE_ID(35) };
                TSS_TSIL_ELECTRODE_RAMDATA TSS_E35_RAMDATA_CONTEXT = { 0u };
        #endif
      #endif

      #if TSS_N_ELECTRODES > 36
        #if TSS_DETECT_EL_METHOD(36,TSIL)
            const TSS_TSIL_ELECTRODE_ROMDATA TSS_E36_ROMDATA_CONTEXT = { TSS_GET_EL_MODULE_ID(36) };
                TSS_TSIL_ELECTRODE_RAMDATA TSS_E36_RAMDATA_CONTEXT = { 0u };
        #endif
      #endif

      #if TSS_N_ELECTRODES > 37
        #if TSS_DETECT_EL_METHOD(37,TSIL)
            const TSS_TSIL_ELECTRODE_ROMDATA TSS_E37_ROMDATA_CONTEXT = { TSS_GET_EL_MODULE_ID(37) };
                TSS_TSIL_ELECTRODE_RAMDATA TSS_E37_RAMDATA_CONTEXT = { 0u };
        #endif
      #endif

      #if TSS_N_ELECTRODES > 38
        #if TSS_DETECT_EL_METHOD(38,TSIL)
            const TSS_TSIL_ELECTRODE_ROMDATA TSS_E38_ROMDATA_CONTEXT = { TSS_GET_EL_MODULE_ID(38) };
                TSS_TSIL_ELECTRODE_RAMDATA TSS_E38_RAMDATA_CONTEXT = { 0u };
        #endif
      #endif

      #if TSS_N_ELECTRODES > 39
        #if TSS_DETECT_EL_METHOD(39,TSIL)
            const TSS_TSIL_ELECTRODE_ROMDATA TSS_E39_ROMDATA_CONTEXT = { TSS_GET_EL_MODULE_ID(39) };
                TSS_TSIL_ELECTRODE_RAMDATA TSS_E39_RAMDATA_CONTEXT = { 0u };
        #endif
      #endif

      #if TSS_N_ELECTRODES > 40
        #if TSS_DETECT_EL_METHOD(40,TSIL)
            const TSS_TSIL_ELECTRODE_ROMDATA TSS_E40_ROMDATA_CONTEXT = { TSS_GET_EL_MODULE_ID(40) };
                TSS_TSIL_ELECTRODE_RAMDATA TSS_E40_RAMDATA_CONTEXT = { 0u };
        #endif
      #endif

      #if TSS_N_ELECTRODES > 41
        #if TSS_DETECT_EL_METHOD(41,TSIL)
            const TSS_TSIL_ELECTRODE_ROMDATA TSS_E41_ROMDATA_CONTEXT = { TSS_GET_EL_MODULE_ID(41) };
                TSS_TSIL_ELECTRODE_RAMDATA TSS_E41_RAMDATA_CONTEXT = { 0u };
        #endif
      #endif

      #if TSS_N_ELECTRODES > 42
        #if TSS_DETECT_EL_METHOD(42,TSIL)
            const TSS_TSIL_ELECTRODE_ROMDATA TSS_E42_ROMDATA_CONTEXT = { TSS_GET_EL_MODULE_ID(42) };
                TSS_TSIL_ELECTRODE_RAMDATA TSS_E42_RAMDATA_CONTEXT = { 0u };
        #endif
      #endif

      #if TSS_N_ELECTRODES > 43
        #if TSS_DETECT_EL_METHOD(43,TSIL)
            const TSS_TSIL_ELECTRODE_ROMDATA TSS_E43_ROMDATA_CONTEXT = { TSS_GET_EL_MODULE_ID(43) };
                TSS_TSIL_ELECTRODE_RAMDATA TSS_E43_RAMDATA_CONTEXT = { 0u };
        #endif
      #endif

      #if TSS_N_ELECTRODES > 44
        #if TSS_DETECT_EL_METHOD(44,TSIL)
            const TSS_TSIL_ELECTRODE_ROMDATA TSS_E44_ROMDATA_CONTEXT = { TSS_GET_EL_MODULE_ID(44) };
                TSS_TSIL_ELECTRODE_RAMDATA TSS_E44_RAMDATA_CONTEXT = { 0u };
        #endif
      #endif

      #if TSS_N_ELECTRODES > 45
        #if TSS_DETECT_EL_METHOD(45,TSIL)
            const TSS_TSIL_ELECTRODE_ROMDATA TSS_E45_ROMDATA_CONTEXT = { TSS_GET_EL_MODULE_ID(45) };
                TSS_TSIL_ELECTRODE_RAMDATA TSS_E45_RAMDATA_CONTEXT = { 0u };
        #endif
      #endif

      #if TSS_N_ELECTRODES > 46
        #if TSS_DETECT_EL_METHOD(46,TSIL)
            const TSS_TSIL_ELECTRODE_ROMDATA TSS_E46_ROMDATA_CONTEXT = { TSS_GET_EL_MODULE_ID(46) };
                TSS_TSIL_ELECTRODE_RAMDATA TSS_E46_RAMDATA_CONTEXT = { 0u };
        #endif
      #endif

      #if TSS_N_ELECTRODES > 47
        #if TSS_DETECT_EL_METHOD(47,TSIL)
            const TSS_TSIL_ELECTRODE_ROMDATA TSS_E47_ROMDATA_CONTEXT = { TSS_GET_EL_MODULE_ID(47) };
                TSS_TSIL_ELECTRODE_RAMDATA TSS_E47_RAMDATA_CONTEXT = { 0u };
        #endif
      #endif

      #if TSS_N_ELECTRODES > 48
        #if TSS_DETECT_EL_METHOD(48,TSIL)
            const TSS_TSIL_ELECTRODE_ROMDATA TSS_E48_ROMDATA_CONTEXT = { TSS_GET_EL_MODULE_ID(48) };
                TSS_TSIL_ELECTRODE_RAMDATA TSS_E48_RAMDATA_CONTEXT = { 0u };
        #endif
      #endif

      #if TSS_N_ELECTRODES > 49
        #if TSS_DETECT_EL_METHOD(49,TSIL)
            const TSS_TSIL_ELECTRODE_ROMDATA TSS_E49_ROMDATA_CONTEXT = { TSS_GET_EL_MODULE_ID(49) };
                TSS_TSIL_ELECTRODE_RAMDATA TSS_E49_RAMDATA_CONTEXT = { 0u };
        #endif
      #endif

      #if TSS_N_ELECTRODES > 50
        #if TSS_DETECT_EL_METHOD(50,TSIL)
            const TSS_TSIL_ELECTRODE_ROMDATA TSS_E50_ROMDATA_CONTEXT = { TSS_GET_EL_MODULE_ID(50) };
                TSS_TSIL_ELECTRODE_RAMDATA TSS_E50_RAMDATA_CONTEXT = { 0u };
        #endif
      #endif

      #if TSS_N_ELECTRODES > 51
        #if TSS_DETECT_EL_METHOD(51,TSIL)
            const TSS_TSIL_ELECTRODE_ROMDATA TSS_E51_ROMDATA_CONTEXT = { TSS_GET_EL_MODULE_ID(51) };
                TSS_TSIL_ELECTRODE_RAMDATA TSS_E51_RAMDATA_CONTEXT = { 0u };
        #endif
      #endif

      #if TSS_N_ELECTRODES > 52
        #if TSS_DETECT_EL_METHOD(52,TSIL)
            const TSS_TSIL_ELECTRODE_ROMDATA TSS_E52_ROMDATA_CONTEXT = { TSS_GET_EL_MODULE_ID(52) };
                TSS_TSIL_ELECTRODE_RAMDATA TSS_E52_RAMDATA_CONTEXT = { 0u };
        #endif
      #endif

      #if TSS_N_ELECTRODES > 53
        #if TSS_DETECT_EL_METHOD(53,TSIL)
            const TSS_TSIL_ELECTRODE_ROMDATA TSS_E53_ROMDATA_CONTEXT = { TSS_GET_EL_MODULE_ID(53) };
                TSS_TSIL_ELECTRODE_RAMDATA TSS_E53_RAMDATA_CONTEXT = { 0u };
        #endif
      #endif

      #if TSS_N_ELECTRODES > 54
        #if TSS_DETECT_EL_METHOD(54,TSIL)
            const TSS_TSIL_ELECTRODE_ROMDATA TSS_E54_ROMDATA_CONTEXT = { TSS_GET_EL_MODULE_ID(54) };
                TSS_TSIL_ELECTRODE_RAMDATA TSS_E54_RAMDATA_CONTEXT = { 0u };
        #endif
      #endif

      #if TSS_N_ELECTRODES > 55
        #if TSS_DETECT_EL_METHOD(55,TSIL)
            const TSS_TSIL_ELECTRODE_ROMDATA TSS_E55_ROMDATA_CONTEXT = { TSS_GET_EL_MODULE_ID(55) };
                TSS_TSIL_ELECTRODE_RAMDATA TSS_E55_RAMDATA_CONTEXT = { 0u };
        #endif
      #endif

      #if TSS_N_ELECTRODES > 56
        #if TSS_DETECT_EL_METHOD(56,TSIL)
            const TSS_TSIL_ELECTRODE_ROMDATA TSS_E56_ROMDATA_CONTEXT = { TSS_GET_EL_MODULE_ID(56) };
                TSS_TSIL_ELECTRODE_RAMDATA TSS_E56_RAMDATA_CONTEXT = { 0u };
        #endif
      #endif

      #if TSS_N_ELECTRODES > 57
        #if TSS_DETECT_EL_METHOD(57,TSIL)
            const TSS_TSIL_ELECTRODE_ROMDATA TSS_E57_ROMDATA_CONTEXT = { TSS_GET_EL_MODULE_ID(57) };
                TSS_TSIL_ELECTRODE_RAMDATA TSS_E57_RAMDATA_CONTEXT = { 0u };
        #endif
      #endif

      #if TSS_N_ELECTRODES > 58
        #if TSS_DETECT_EL_METHOD(58,TSIL)
            const TSS_TSIL_ELECTRODE_ROMDATA TSS_E58_ROMDATA_CONTEXT = { TSS_GET_EL_MODULE_ID(58) };
                TSS_TSIL_ELECTRODE_RAMDATA TSS_E58_RAMDATA_CONTEXT = { 0u };
        #endif
      #endif

      #if TSS_N_ELECTRODES > 59
        #if TSS_DETECT_EL_METHOD(59,TSIL)
            const TSS_TSIL_ELECTRODE_ROMDATA TSS_E59_ROMDATA_CONTEXT = { TSS_GET_EL_MODULE_ID(59) };
                TSS_TSIL_ELECTRODE_RAMDATA TSS_E59_RAMDATA_CONTEXT = { 0u };
        #endif
      #endif

      #if TSS_N_ELECTRODES > 60
        #if TSS_DETECT_EL_METHOD(60,TSIL)
            const TSS_TSIL_ELECTRODE_ROMDATA TSS_E60_ROMDATA_CONTEXT = { TSS_GET_EL_MODULE_ID(60) };
                TSS_TSIL_ELECTRODE_RAMDATA TSS_E60_RAMDATA_CONTEXT = { 0u };
        #endif
      #endif

      #if TSS_N_ELECTRODES > 61
        #if TSS_DETECT_EL_METHOD(61,TSIL)
            const TSS_TSIL_ELECTRODE_ROMDATA TSS_E61_ROMDATA_CONTEXT = { TSS_GET_EL_MODULE_ID(61) };
                TSS_TSIL_ELECTRODE_RAMDATA TSS_E61_RAMDATA_CONTEXT = { 0u };
        #endif
      #endif

      #if TSS_N_ELECTRODES > 62
        #if TSS_DETECT_EL_METHOD(62,TSIL)
            const TSS_TSIL_ELECTRODE_ROMDATA TSS_E62_ROMDATA_CONTEXT = { TSS_GET_EL_MODULE_ID(62) };
                TSS_TSIL_ELECTRODE_RAMDATA TSS_E62_RAMDATA_CONTEXT = { 0u };
        #endif
      #endif

      #if TSS_N_ELECTRODES > 63
        #if TSS_DETECT_EL_METHOD(63,TSIL)
            const TSS_TSIL_ELECTRODE_ROMDATA TSS_E63_ROMDATA_CONTEXT = { TSS_GET_EL_MODULE_ID(63) };
                TSS_TSIL_ELECTRODE_RAMDATA TSS_E63_RAMDATA_CONTEXT = { 0u };
        #endif
      #endif

    #else /* TSS_USE_SIMPLE_LOW_LEVEL == 0 */

      /***************** Method Memory Data Decoding Macros **********/

      #define TSS_GET_TSIL_METHOD_DATA_CONTEXT_RESULT(memory,res)       TSS_##res##_METHOD_##memory##_CONTEXT
      #define TSS_GET_TSIL_METHOD_DATA_CONTEXT_CONV(memory,text)        TSS_GET_TSIL_METHOD_DATA_CONTEXT_RESULT(memory,text)
      #define TSS_GET_TSIL_METHOD_DATA_CONTEXT_TYPE(memory,module)      TSS_GET_TSIL_METHOD_DATA_CONTEXT_CONV(memory,module)

      #define TSS_GET_TSIL_METHOD_DATA_CONTEXT(memory,el)               TSS_GET_TSIL_METHOD_DATA_CONTEXT_TYPE(memory, TSS_TSIL_EL_METHOD_MODULE_NAME(el))

      /***************** ROM & RAM Data definition *******************/

  /***************** ROM & RAM Data definition *******************/

      #if TSS_N_ELECTRODES > 0
        #if TSS_DETECT_EL_METHOD(0,TSIL)
          const TSS_TSIL_ELECTRODE_ROMDATA TSS_E0_ROMDATA_CONTEXT = { &TSS_GET_TSIL_METHOD_DATA_CONTEXT(ROMDATA,0), &TSS_GET_TSIL_METHOD_DATA_CONTEXT(RAMDATA,0), TSS_TSIL_EL_CHANNEL_NUM(0)};
                TSS_TSIL_ELECTRODE_RAMDATA TSS_E0_RAMDATA_CONTEXT = { 0u };
        #endif
      #endif

      #if TSS_N_ELECTRODES > 1
        #if TSS_DETECT_EL_METHOD(1,TSIL)
          const TSS_TSIL_ELECTRODE_ROMDATA TSS_E1_ROMDATA_CONTEXT = { &TSS_GET_TSIL_METHOD_DATA_CONTEXT(ROMDATA,1), &TSS_GET_TSIL_METHOD_DATA_CONTEXT(RAMDATA,1), TSS_TSIL_EL_CHANNEL_NUM(1)};
                TSS_TSIL_ELECTRODE_RAMDATA TSS_E1_RAMDATA_CONTEXT = { 0u };
        #endif
      #endif

      #if TSS_N_ELECTRODES > 2
        #if TSS_DETECT_EL_METHOD(2,TSIL)
          const TSS_TSIL_ELECTRODE_ROMDATA TSS_E2_ROMDATA_CONTEXT = { &TSS_GET_TSIL_METHOD_DATA_CONTEXT(ROMDATA,2), &TSS_GET_TSIL_METHOD_DATA_CONTEXT(RAMDATA,2), TSS_TSIL_EL_CHANNEL_NUM(2)};
                TSS_TSIL_ELECTRODE_RAMDATA TSS_E2_RAMDATA_CONTEXT = { 0u };
        #endif
      #endif

      #if TSS_N_ELECTRODES > 3
        #if TSS_DETECT_EL_METHOD(3,TSIL)
          const TSS_TSIL_ELECTRODE_ROMDATA TSS_E3_ROMDATA_CONTEXT = { &TSS_GET_TSIL_METHOD_DATA_CONTEXT(ROMDATA,3), &TSS_GET_TSIL_METHOD_DATA_CONTEXT(RAMDATA,3), TSS_TSIL_EL_CHANNEL_NUM(3)};
                TSS_TSIL_ELECTRODE_RAMDATA TSS_E3_RAMDATA_CONTEXT = { 0u };
        #endif
      #endif

      #if TSS_N_ELECTRODES > 4
        #if TSS_DETECT_EL_METHOD(4,TSIL)
          const TSS_TSIL_ELECTRODE_ROMDATA TSS_E4_ROMDATA_CONTEXT = { &TSS_GET_TSIL_METHOD_DATA_CONTEXT(ROMDATA,4), &TSS_GET_TSIL_METHOD_DATA_CONTEXT(RAMDATA,4), TSS_TSIL_EL_CHANNEL_NUM(4)};
                TSS_TSIL_ELECTRODE_RAMDATA TSS_E4_RAMDATA_CONTEXT = { 0u };
        #endif
      #endif

      #if TSS_N_ELECTRODES > 5
        #if TSS_DETECT_EL_METHOD(5,TSIL)
          const TSS_TSIL_ELECTRODE_ROMDATA TSS_E5_ROMDATA_CONTEXT = { &TSS_GET_TSIL_METHOD_DATA_CONTEXT(ROMDATA,5), &TSS_GET_TSIL_METHOD_DATA_CONTEXT(RAMDATA,5), TSS_TSIL_EL_CHANNEL_NUM(5)};
                TSS_TSIL_ELECTRODE_RAMDATA TSS_E5_RAMDATA_CONTEXT = { 0u };
        #endif
      #endif

      #if TSS_N_ELECTRODES > 6
        #if TSS_DETECT_EL_METHOD(6,TSIL)
          const TSS_TSIL_ELECTRODE_ROMDATA TSS_E6_ROMDATA_CONTEXT = { &TSS_GET_TSIL_METHOD_DATA_CONTEXT(ROMDATA,6), &TSS_GET_TSIL_METHOD_DATA_CONTEXT(RAMDATA,6), TSS_TSIL_EL_CHANNEL_NUM(6)};
                TSS_TSIL_ELECTRODE_RAMDATA TSS_E6_RAMDATA_CONTEXT = { 0u };
        #endif
      #endif

      #if TSS_N_ELECTRODES > 7
        #if TSS_DETECT_EL_METHOD(7,TSIL)
          const TSS_TSIL_ELECTRODE_ROMDATA TSS_E7_ROMDATA_CONTEXT = { &TSS_GET_TSIL_METHOD_DATA_CONTEXT(ROMDATA,7), &TSS_GET_TSIL_METHOD_DATA_CONTEXT(RAMDATA,7), TSS_TSIL_EL_CHANNEL_NUM(7)};
                TSS_TSIL_ELECTRODE_RAMDATA TSS_E7_RAMDATA_CONTEXT = { 0u };
        #endif
      #endif

      #if TSS_N_ELECTRODES > 8
        #if TSS_DETECT_EL_METHOD(8,TSIL)
          const TSS_TSIL_ELECTRODE_ROMDATA TSS_E8_ROMDATA_CONTEXT = { &TSS_GET_TSIL_METHOD_DATA_CONTEXT(ROMDATA,8), &TSS_GET_TSIL_METHOD_DATA_CONTEXT(RAMDATA,8), TSS_TSIL_EL_CHANNEL_NUM(8)};
                TSS_TSIL_ELECTRODE_RAMDATA TSS_E8_RAMDATA_CONTEXT = { 0u };
        #endif
      #endif

      #if TSS_N_ELECTRODES > 9
        #if TSS_DETECT_EL_METHOD(9,TSIL)
          const TSS_TSIL_ELECTRODE_ROMDATA TSS_E9_ROMDATA_CONTEXT = { &TSS_GET_TSIL_METHOD_DATA_CONTEXT(ROMDATA,9), &TSS_GET_TSIL_METHOD_DATA_CONTEXT(RAMDATA,9), TSS_TSIL_EL_CHANNEL_NUM(9)};
                TSS_TSIL_ELECTRODE_RAMDATA TSS_E9_RAMDATA_CONTEXT = { 0u };
        #endif
      #endif

      #if TSS_N_ELECTRODES > 10
        #if TSS_DETECT_EL_METHOD(10,TSIL)
          const TSS_TSIL_ELECTRODE_ROMDATA TSS_E10_ROMDATA_CONTEXT = { &TSS_GET_TSIL_METHOD_DATA_CONTEXT(ROMDATA,10), &TSS_GET_TSIL_METHOD_DATA_CONTEXT(RAMDATA,10), TSS_TSIL_EL_CHANNEL_NUM(10)};
                TSS_TSIL_ELECTRODE_RAMDATA TSS_E10_RAMDATA_CONTEXT = { 0u };
        #endif
      #endif

      #if TSS_N_ELECTRODES > 11
        #if TSS_DETECT_EL_METHOD(11,TSIL)
          const TSS_TSIL_ELECTRODE_ROMDATA TSS_E11_ROMDATA_CONTEXT = { &TSS_GET_TSIL_METHOD_DATA_CONTEXT(ROMDATA,11), &TSS_GET_TSIL_METHOD_DATA_CONTEXT(RAMDATA,11), TSS_TSIL_EL_CHANNEL_NUM(11)};
                TSS_TSIL_ELECTRODE_RAMDATA TSS_E11_RAMDATA_CONTEXT = { 0u };
        #endif
      #endif

      #if TSS_N_ELECTRODES > 12
        #if TSS_DETECT_EL_METHOD(12,TSIL)
          const TSS_TSIL_ELECTRODE_ROMDATA TSS_E12_ROMDATA_CONTEXT = { &TSS_GET_TSIL_METHOD_DATA_CONTEXT(ROMDATA,12), &TSS_GET_TSIL_METHOD_DATA_CONTEXT(RAMDATA,12), TSS_TSIL_EL_CHANNEL_NUM(12)};
                TSS_TSIL_ELECTRODE_RAMDATA TSS_E12_RAMDATA_CONTEXT = { 0u };
        #endif
      #endif

      #if TSS_N_ELECTRODES > 13
        #if TSS_DETECT_EL_METHOD(13,TSIL)
          const TSS_TSIL_ELECTRODE_ROMDATA TSS_E13_ROMDATA_CONTEXT = { &TSS_GET_TSIL_METHOD_DATA_CONTEXT(ROMDATA,13), &TSS_GET_TSIL_METHOD_DATA_CONTEXT(RAMDATA,13), TSS_TSIL_EL_CHANNEL_NUM(13)};
                TSS_TSIL_ELECTRODE_RAMDATA TSS_E13_RAMDATA_CONTEXT = { 0u };
        #endif
      #endif

      #if TSS_N_ELECTRODES > 14
        #if TSS_DETECT_EL_METHOD(14,TSIL)
          const TSS_TSIL_ELECTRODE_ROMDATA TSS_E14_ROMDATA_CONTEXT = { &TSS_GET_TSIL_METHOD_DATA_CONTEXT(ROMDATA,14), &TSS_GET_TSIL_METHOD_DATA_CONTEXT(RAMDATA,14), TSS_TSIL_EL_CHANNEL_NUM(14)};
                TSS_TSIL_ELECTRODE_RAMDATA TSS_E14_RAMDATA_CONTEXT = { 0u };
        #endif
      #endif

      #if TSS_N_ELECTRODES > 15
        #if TSS_DETECT_EL_METHOD(15,TSIL)
          const TSS_TSIL_ELECTRODE_ROMDATA TSS_E15_ROMDATA_CONTEXT = { &TSS_GET_TSIL_METHOD_DATA_CONTEXT(ROMDATA,15), &TSS_GET_TSIL_METHOD_DATA_CONTEXT(RAMDATA,15), TSS_TSIL_EL_CHANNEL_NUM(15)};
                TSS_TSIL_ELECTRODE_RAMDATA TSS_E15_RAMDATA_CONTEXT = { 0u };
        #endif
      #endif

      #if TSS_N_ELECTRODES > 16
        #if TSS_DETECT_EL_METHOD(16,TSIL)
          const TSS_TSIL_ELECTRODE_ROMDATA TSS_E16_ROMDATA_CONTEXT = { &TSS_GET_TSIL_METHOD_DATA_CONTEXT(ROMDATA,16), &TSS_GET_TSIL_METHOD_DATA_CONTEXT(RAMDATA,16), TSS_TSIL_EL_CHANNEL_NUM(16)};
                TSS_TSIL_ELECTRODE_RAMDATA TSS_E16_RAMDATA_CONTEXT = { 0u };
        #endif
      #endif

      #if TSS_N_ELECTRODES > 17
        #if TSS_DETECT_EL_METHOD(17,TSIL)
          const TSS_TSIL_ELECTRODE_ROMDATA TSS_E17_ROMDATA_CONTEXT = { &TSS_GET_TSIL_METHOD_DATA_CONTEXT(ROMDATA,17), &TSS_GET_TSIL_METHOD_DATA_CONTEXT(RAMDATA,17), TSS_TSIL_EL_CHANNEL_NUM(17)};
                TSS_TSIL_ELECTRODE_RAMDATA TSS_E17_RAMDATA_CONTEXT = { 0u };
        #endif
      #endif

      #if TSS_N_ELECTRODES > 18
        #if TSS_DETECT_EL_METHOD(18,TSIL)
          const TSS_TSIL_ELECTRODE_ROMDATA TSS_E18_ROMDATA_CONTEXT = { &TSS_GET_TSIL_METHOD_DATA_CONTEXT(ROMDATA,18), &TSS_GET_TSIL_METHOD_DATA_CONTEXT(RAMDATA,18), TSS_TSIL_EL_CHANNEL_NUM(18)};
                TSS_TSIL_ELECTRODE_RAMDATA TSS_E18_RAMDATA_CONTEXT = { 0u };
        #endif
      #endif

      #if TSS_N_ELECTRODES > 19
        #if TSS_DETECT_EL_METHOD(19,TSIL)
          const TSS_TSIL_ELECTRODE_ROMDATA TSS_E19_ROMDATA_CONTEXT = { &TSS_GET_TSIL_METHOD_DATA_CONTEXT(ROMDATA,19), &TSS_GET_TSIL_METHOD_DATA_CONTEXT(RAMDATA,19), TSS_TSIL_EL_CHANNEL_NUM(19)};
                TSS_TSIL_ELECTRODE_RAMDATA TSS_E19_RAMDATA_CONTEXT = { 0u };
        #endif
      #endif

      #if TSS_N_ELECTRODES > 20
        #if TSS_DETECT_EL_METHOD(20,TSIL)
          const TSS_TSIL_ELECTRODE_ROMDATA TSS_E20_ROMDATA_CONTEXT = { &TSS_GET_TSIL_METHOD_DATA_CONTEXT(ROMDATA,20), &TSS_GET_TSIL_METHOD_DATA_CONTEXT(RAMDATA,20), TSS_TSIL_EL_CHANNEL_NUM(20)};
                TSS_TSIL_ELECTRODE_RAMDATA TSS_E20_RAMDATA_CONTEXT = { 0u };
        #endif
      #endif

      #if TSS_N_ELECTRODES > 21
        #if TSS_DETECT_EL_METHOD(21,TSIL)
          const TSS_TSIL_ELECTRODE_ROMDATA TSS_E21_ROMDATA_CONTEXT = { &TSS_GET_TSIL_METHOD_DATA_CONTEXT(ROMDATA,21), &TSS_GET_TSIL_METHOD_DATA_CONTEXT(RAMDATA,21), TSS_TSIL_EL_CHANNEL_NUM(21)};
                TSS_TSIL_ELECTRODE_RAMDATA TSS_E21_RAMDATA_CONTEXT = { 0u };
        #endif
      #endif

      #if TSS_N_ELECTRODES > 22
        #if TSS_DETECT_EL_METHOD(22,TSIL)
          const TSS_TSIL_ELECTRODE_ROMDATA TSS_E22_ROMDATA_CONTEXT = { &TSS_GET_TSIL_METHOD_DATA_CONTEXT(ROMDATA,22), &TSS_GET_TSIL_METHOD_DATA_CONTEXT(RAMDATA,22), TSS_TSIL_EL_CHANNEL_NUM(22)};
                TSS_TSIL_ELECTRODE_RAMDATA TSS_E22_RAMDATA_CONTEXT = { 0u };
        #endif
      #endif

      #if TSS_N_ELECTRODES > 23
        #if TSS_DETECT_EL_METHOD(23,TSIL)
          const TSS_TSIL_ELECTRODE_ROMDATA TSS_E23_ROMDATA_CONTEXT = { &TSS_GET_TSIL_METHOD_DATA_CONTEXT(ROMDATA,23), &TSS_GET_TSIL_METHOD_DATA_CONTEXT(RAMDATA,23), TSS_TSIL_EL_CHANNEL_NUM(23)};
                TSS_TSIL_ELECTRODE_RAMDATA TSS_E23_RAMDATA_CONTEXT = { 0u };
        #endif
      #endif

      #if TSS_N_ELECTRODES > 24
        #if TSS_DETECT_EL_METHOD(24,TSIL)
          const TSS_TSIL_ELECTRODE_ROMDATA TSS_E24_ROMDATA_CONTEXT = { &TSS_GET_TSIL_METHOD_DATA_CONTEXT(ROMDATA,24), &TSS_GET_TSIL_METHOD_DATA_CONTEXT(RAMDATA,24), TSS_TSIL_EL_CHANNEL_NUM(24)};
                TSS_TSIL_ELECTRODE_RAMDATA TSS_E24_RAMDATA_CONTEXT = { 0u };
        #endif
      #endif

      #if TSS_N_ELECTRODES > 25
        #if TSS_DETECT_EL_METHOD(25,TSIL)
          const TSS_TSIL_ELECTRODE_ROMDATA TSS_E25_ROMDATA_CONTEXT = { &TSS_GET_TSIL_METHOD_DATA_CONTEXT(ROMDATA,25), &TSS_GET_TSIL_METHOD_DATA_CONTEXT(RAMDATA,25), TSS_TSIL_EL_CHANNEL_NUM(25)};
                TSS_TSIL_ELECTRODE_RAMDATA TSS_E25_RAMDATA_CONTEXT = { 0u };
        #endif
      #endif

      #if TSS_N_ELECTRODES > 26
        #if TSS_DETECT_EL_METHOD(26,TSIL)
          const TSS_TSIL_ELECTRODE_ROMDATA TSS_E26_ROMDATA_CONTEXT = { &TSS_GET_TSIL_METHOD_DATA_CONTEXT(ROMDATA,26), &TSS_GET_TSIL_METHOD_DATA_CONTEXT(RAMDATA,26), TSS_TSIL_EL_CHANNEL_NUM(26)};
                TSS_TSIL_ELECTRODE_RAMDATA TSS_E26_RAMDATA_CONTEXT = { 0u };
        #endif
      #endif

      #if TSS_N_ELECTRODES > 27
        #if TSS_DETECT_EL_METHOD(27,TSIL)
          const TSS_TSIL_ELECTRODE_ROMDATA TSS_E27_ROMDATA_CONTEXT = { &TSS_GET_TSIL_METHOD_DATA_CONTEXT(ROMDATA,27), &TSS_GET_TSIL_METHOD_DATA_CONTEXT(RAMDATA,27), TSS_TSIL_EL_CHANNEL_NUM(27)};
                TSS_TSIL_ELECTRODE_RAMDATA TSS_E27_RAMDATA_CONTEXT = { 0u };
        #endif
      #endif

      #if TSS_N_ELECTRODES > 28
        #if TSS_DETECT_EL_METHOD(28,TSIL)
          const TSS_TSIL_ELECTRODE_ROMDATA TSS_E28_ROMDATA_CONTEXT = { &TSS_GET_TSIL_METHOD_DATA_CONTEXT(ROMDATA,28), &TSS_GET_TSIL_METHOD_DATA_CONTEXT(RAMDATA,28), TSS_TSIL_EL_CHANNEL_NUM(28)};
                TSS_TSIL_ELECTRODE_RAMDATA TSS_E28_RAMDATA_CONTEXT = { 0u };
        #endif
      #endif

      #if TSS_N_ELECTRODES > 29
        #if TSS_DETECT_EL_METHOD(29,TSIL)
          const TSS_TSIL_ELECTRODE_ROMDATA TSS_E29_ROMDATA_CONTEXT = { &TSS_GET_TSIL_METHOD_DATA_CONTEXT(ROMDATA,29), &TSS_GET_TSIL_METHOD_DATA_CONTEXT(RAMDATA,29), TSS_TSIL_EL_CHANNEL_NUM(29)};
                TSS_TSIL_ELECTRODE_RAMDATA TSS_E29_RAMDATA_CONTEXT = { 0u };
        #endif
      #endif

      #if TSS_N_ELECTRODES > 30
        #if TSS_DETECT_EL_METHOD(30,TSIL)
          const TSS_TSIL_ELECTRODE_ROMDATA TSS_E30_ROMDATA_CONTEXT = { &TSS_GET_TSIL_METHOD_DATA_CONTEXT(ROMDATA,30), &TSS_GET_TSIL_METHOD_DATA_CONTEXT(RAMDATA,30), TSS_TSIL_EL_CHANNEL_NUM(30)};
                TSS_TSIL_ELECTRODE_RAMDATA TSS_E30_RAMDATA_CONTEXT = { 0u };
        #endif
      #endif

      #if TSS_N_ELECTRODES > 31
        #if TSS_DETECT_EL_METHOD(31,TSIL)
          const TSS_TSIL_ELECTRODE_ROMDATA TSS_E31_ROMDATA_CONTEXT = { &TSS_GET_TSIL_METHOD_DATA_CONTEXT(ROMDATA,31), &TSS_GET_TSIL_METHOD_DATA_CONTEXT(RAMDATA,31), TSS_TSIL_EL_CHANNEL_NUM(31)};
                TSS_TSIL_ELECTRODE_RAMDATA TSS_E31_RAMDATA_CONTEXT = { 0u };
        #endif
      #endif

      #if TSS_N_ELECTRODES > 32
        #if TSS_DETECT_EL_METHOD(32,TSIL)
          const TSS_TSIL_ELECTRODE_ROMDATA TSS_E32_ROMDATA_CONTEXT = { &TSS_GET_TSIL_METHOD_DATA_CONTEXT(ROMDATA,32), &TSS_GET_TSIL_METHOD_DATA_CONTEXT(RAMDATA,32), TSS_TSIL_EL_CHANNEL_NUM(32)};
                TSS_TSIL_ELECTRODE_RAMDATA TSS_E32_RAMDATA_CONTEXT = { 0u };
        #endif
      #endif

      #if TSS_N_ELECTRODES > 33
        #if TSS_DETECT_EL_METHOD(33,TSIL)
          const TSS_TSIL_ELECTRODE_ROMDATA TSS_E33_ROMDATA_CONTEXT = { &TSS_GET_TSIL_METHOD_DATA_CONTEXT(ROMDATA,33), &TSS_GET_TSIL_METHOD_DATA_CONTEXT(RAMDATA,33), TSS_TSIL_EL_CHANNEL_NUM(33)};
                TSS_TSIL_ELECTRODE_RAMDATA TSS_E33_RAMDATA_CONTEXT = { 0u };
        #endif
      #endif

      #if TSS_N_ELECTRODES > 34
        #if TSS_DETECT_EL_METHOD(34,TSIL)
          const TSS_TSIL_ELECTRODE_ROMDATA TSS_E34_ROMDATA_CONTEXT = { &TSS_GET_TSIL_METHOD_DATA_CONTEXT(ROMDATA,34), &TSS_GET_TSIL_METHOD_DATA_CONTEXT(RAMDATA,34), TSS_TSIL_EL_CHANNEL_NUM(34)};
                TSS_TSIL_ELECTRODE_RAMDATA TSS_E34_RAMDATA_CONTEXT = { 0u };
        #endif
      #endif

      #if TSS_N_ELECTRODES > 35
        #if TSS_DETECT_EL_METHOD(35,TSIL)
          const TSS_TSIL_ELECTRODE_ROMDATA TSS_E35_ROMDATA_CONTEXT = { &TSS_GET_TSIL_METHOD_DATA_CONTEXT(ROMDATA,35), &TSS_GET_TSIL_METHOD_DATA_CONTEXT(RAMDATA,35), TSS_TSIL_EL_CHANNEL_NUM(35)};
                TSS_TSIL_ELECTRODE_RAMDATA TSS_E35_RAMDATA_CONTEXT = { 0u };
        #endif
      #endif

      #if TSS_N_ELECTRODES > 36
        #if TSS_DETECT_EL_METHOD(36,TSIL)
          const TSS_TSIL_ELECTRODE_ROMDATA TSS_E36_ROMDATA_CONTEXT = { &TSS_GET_TSIL_METHOD_DATA_CONTEXT(ROMDATA,36), &TSS_GET_TSIL_METHOD_DATA_CONTEXT(RAMDATA,36), TSS_TSIL_EL_CHANNEL_NUM(36)};
                TSS_TSIL_ELECTRODE_RAMDATA TSS_E36_RAMDATA_CONTEXT = { 0u };
        #endif
      #endif

      #if TSS_N_ELECTRODES > 37
        #if TSS_DETECT_EL_METHOD(37,TSIL)
          const TSS_TSIL_ELECTRODE_ROMDATA TSS_E37_ROMDATA_CONTEXT = { &TSS_GET_TSIL_METHOD_DATA_CONTEXT(ROMDATA,37), &TSS_GET_TSIL_METHOD_DATA_CONTEXT(RAMDATA,37), TSS_TSIL_EL_CHANNEL_NUM(37)};
                TSS_TSIL_ELECTRODE_RAMDATA TSS_E37_RAMDATA_CONTEXT = { 0u };
        #endif
      #endif

      #if TSS_N_ELECTRODES > 38
        #if TSS_DETECT_EL_METHOD(38,TSIL)
          const TSS_TSIL_ELECTRODE_ROMDATA TSS_E38_ROMDATA_CONTEXT = { &TSS_GET_TSIL_METHOD_DATA_CONTEXT(ROMDATA,38), &TSS_GET_TSIL_METHOD_DATA_CONTEXT(RAMDATA,38), TSS_TSIL_EL_CHANNEL_NUM(38)};
                TSS_TSIL_ELECTRODE_RAMDATA TSS_E38_RAMDATA_CONTEXT = { 0u };
        #endif
      #endif

      #if TSS_N_ELECTRODES > 39
        #if TSS_DETECT_EL_METHOD(39,TSIL)
          const TSS_TSIL_ELECTRODE_ROMDATA TSS_E39_ROMDATA_CONTEXT = { &TSS_GET_TSIL_METHOD_DATA_CONTEXT(ROMDATA,39), &TSS_GET_TSIL_METHOD_DATA_CONTEXT(RAMDATA,39), TSS_TSIL_EL_CHANNEL_NUM(39)};
                TSS_TSIL_ELECTRODE_RAMDATA TSS_E39_RAMDATA_CONTEXT = { 0u };
        #endif
      #endif

      #if TSS_N_ELECTRODES > 40
        #if TSS_DETECT_EL_METHOD(40,TSIL)
          const TSS_TSIL_ELECTRODE_ROMDATA TSS_E40_ROMDATA_CONTEXT = { &TSS_GET_TSIL_METHOD_DATA_CONTEXT(ROMDATA,40), &TSS_GET_TSIL_METHOD_DATA_CONTEXT(RAMDATA,40), TSS_TSIL_EL_CHANNEL_NUM(40)};
                TSS_TSIL_ELECTRODE_RAMDATA TSS_E40_RAMDATA_CONTEXT = { 0u };
        #endif
      #endif

      #if TSS_N_ELECTRODES > 41
        #if TSS_DETECT_EL_METHOD(41,TSIL)
          const TSS_TSIL_ELECTRODE_ROMDATA TSS_E41_ROMDATA_CONTEXT = { &TSS_GET_TSIL_METHOD_DATA_CONTEXT(ROMDATA,41), &TSS_GET_TSIL_METHOD_DATA_CONTEXT(RAMDATA,41), TSS_TSIL_EL_CHANNEL_NUM(41)};
                TSS_TSIL_ELECTRODE_RAMDATA TSS_E41_RAMDATA_CONTEXT = { 0u };
        #endif
      #endif

      #if TSS_N_ELECTRODES > 42
        #if TSS_DETECT_EL_METHOD(42,TSIL)
          const TSS_TSIL_ELECTRODE_ROMDATA TSS_E42_ROMDATA_CONTEXT = { &TSS_GET_TSIL_METHOD_DATA_CONTEXT(ROMDATA,42), &TSS_GET_TSIL_METHOD_DATA_CONTEXT(RAMDATA,42), TSS_TSIL_EL_CHANNEL_NUM(42)};
                TSS_TSIL_ELECTRODE_RAMDATA TSS_E42_RAMDATA_CONTEXT = { 0u };
        #endif
      #endif

      #if TSS_N_ELECTRODES > 43
        #if TSS_DETECT_EL_METHOD(43,TSIL)
          const TSS_TSIL_ELECTRODE_ROMDATA TSS_E43_ROMDATA_CONTEXT = { &TSS_GET_TSIL_METHOD_DATA_CONTEXT(ROMDATA,43), &TSS_GET_TSIL_METHOD_DATA_CONTEXT(RAMDATA,43), TSS_TSIL_EL_CHANNEL_NUM(43)};
                TSS_TSIL_ELECTRODE_RAMDATA TSS_E43_RAMDATA_CONTEXT = { 0u };
        #endif
      #endif

      #if TSS_N_ELECTRODES > 44
        #if TSS_DETECT_EL_METHOD(44,TSIL)
          const TSS_TSIL_ELECTRODE_ROMDATA TSS_E44_ROMDATA_CONTEXT = { &TSS_GET_TSIL_METHOD_DATA_CONTEXT(ROMDATA,44), &TSS_GET_TSIL_METHOD_DATA_CONTEXT(RAMDATA,44), TSS_TSIL_EL_CHANNEL_NUM(44)};
                TSS_TSIL_ELECTRODE_RAMDATA TSS_E44_RAMDATA_CONTEXT = { 0u };
        #endif
      #endif

      #if TSS_N_ELECTRODES > 45
        #if TSS_DETECT_EL_METHOD(45,TSIL)
          const TSS_TSIL_ELECTRODE_ROMDATA TSS_E45_ROMDATA_CONTEXT = { &TSS_GET_TSIL_METHOD_DATA_CONTEXT(ROMDATA,45), &TSS_GET_TSIL_METHOD_DATA_CONTEXT(RAMDATA,45), TSS_TSIL_EL_CHANNEL_NUM(45)};
                TSS_TSIL_ELECTRODE_RAMDATA TSS_E45_RAMDATA_CONTEXT = { 0u };
        #endif
      #endif

      #if TSS_N_ELECTRODES > 46
        #if TSS_DETECT_EL_METHOD(46,TSIL)
          const TSS_TSIL_ELECTRODE_ROMDATA TSS_E46_ROMDATA_CONTEXT = { &TSS_GET_TSIL_METHOD_DATA_CONTEXT(ROMDATA,46), &TSS_GET_TSIL_METHOD_DATA_CONTEXT(RAMDATA,46), TSS_TSIL_EL_CHANNEL_NUM(46)};
                TSS_TSIL_ELECTRODE_RAMDATA TSS_E46_RAMDATA_CONTEXT = { 0u };
        #endif
      #endif

      #if TSS_N_ELECTRODES > 47
        #if TSS_DETECT_EL_METHOD(47,TSIL)
          const TSS_TSIL_ELECTRODE_ROMDATA TSS_E47_ROMDATA_CONTEXT = { &TSS_GET_TSIL_METHOD_DATA_CONTEXT(ROMDATA,47), &TSS_GET_TSIL_METHOD_DATA_CONTEXT(RAMDATA,47), TSS_TSIL_EL_CHANNEL_NUM(47)};
                TSS_TSIL_ELECTRODE_RAMDATA TSS_E47_RAMDATA_CONTEXT = { 0u };
        #endif
      #endif

      #if TSS_N_ELECTRODES > 48
        #if TSS_DETECT_EL_METHOD(48,TSIL)
          const TSS_TSIL_ELECTRODE_ROMDATA TSS_E48_ROMDATA_CONTEXT = { &TSS_GET_TSIL_METHOD_DATA_CONTEXT(ROMDATA,48), &TSS_GET_TSIL_METHOD_DATA_CONTEXT(RAMDATA,48), TSS_TSIL_EL_CHANNEL_NUM(48)};
                TSS_TSIL_ELECTRODE_RAMDATA TSS_E48_RAMDATA_CONTEXT = { 0u };
        #endif
      #endif

      #if TSS_N_ELECTRODES > 49
        #if TSS_DETECT_EL_METHOD(49,TSIL)
          const TSS_TSIL_ELECTRODE_ROMDATA TSS_E49_ROMDATA_CONTEXT = { &TSS_GET_TSIL_METHOD_DATA_CONTEXT(ROMDATA,49), &TSS_GET_TSIL_METHOD_DATA_CONTEXT(RAMDATA,49), TSS_TSIL_EL_CHANNEL_NUM(49)};
                TSS_TSIL_ELECTRODE_RAMDATA TSS_E49_RAMDATA_CONTEXT = { 0u };
        #endif
      #endif

      #if TSS_N_ELECTRODES > 50
        #if TSS_DETECT_EL_METHOD(50,TSIL)
          const TSS_TSIL_ELECTRODE_ROMDATA TSS_E50_ROMDATA_CONTEXT = { &TSS_GET_TSIL_METHOD_DATA_CONTEXT(ROMDATA,50), &TSS_GET_TSIL_METHOD_DATA_CONTEXT(RAMDATA,50), TSS_TSIL_EL_CHANNEL_NUM(50)};
                TSS_TSIL_ELECTRODE_RAMDATA TSS_E50_RAMDATA_CONTEXT = { 0u };
        #endif
      #endif

      #if TSS_N_ELECTRODES > 51
        #if TSS_DETECT_EL_METHOD(51,TSIL)
          const TSS_TSIL_ELECTRODE_ROMDATA TSS_E51_ROMDATA_CONTEXT = { &TSS_GET_TSIL_METHOD_DATA_CONTEXT(ROMDATA,51), &TSS_GET_TSIL_METHOD_DATA_CONTEXT(RAMDATA,51), TSS_TSIL_EL_CHANNEL_NUM(51)};
                TSS_TSIL_ELECTRODE_RAMDATA TSS_E51_RAMDATA_CONTEXT = { 0u };
        #endif
      #endif

      #if TSS_N_ELECTRODES > 52
        #if TSS_DETECT_EL_METHOD(52,TSIL)
          const TSS_TSIL_ELECTRODE_ROMDATA TSS_E52_ROMDATA_CONTEXT = { &TSS_GET_TSIL_METHOD_DATA_CONTEXT(ROMDATA,52), &TSS_GET_TSIL_METHOD_DATA_CONTEXT(RAMDATA,52), TSS_TSIL_EL_CHANNEL_NUM(52)};
                TSS_TSIL_ELECTRODE_RAMDATA TSS_E52_RAMDATA_CONTEXT = { 0u };
        #endif
      #endif

      #if TSS_N_ELECTRODES > 53
        #if TSS_DETECT_EL_METHOD(53,TSIL)
          const TSS_TSIL_ELECTRODE_ROMDATA TSS_E53_ROMDATA_CONTEXT = { &TSS_GET_TSIL_METHOD_DATA_CONTEXT(ROMDATA,53), &TSS_GET_TSIL_METHOD_DATA_CONTEXT(RAMDATA,53), TSS_TSIL_EL_CHANNEL_NUM(53)};
                TSS_TSIL_ELECTRODE_RAMDATA TSS_E53_RAMDATA_CONTEXT = { 0u };
        #endif
      #endif

      #if TSS_N_ELECTRODES > 54
        #if TSS_DETECT_EL_METHOD(54,TSIL)
          const TSS_TSIL_ELECTRODE_ROMDATA TSS_E54_ROMDATA_CONTEXT = { &TSS_GET_TSIL_METHOD_DATA_CONTEXT(ROMDATA,54), &TSS_GET_TSIL_METHOD_DATA_CONTEXT(RAMDATA,54), TSS_TSIL_EL_CHANNEL_NUM(54)};
                TSS_TSIL_ELECTRODE_RAMDATA TSS_E54_RAMDATA_CONTEXT = { 0u };
        #endif
      #endif

      #if TSS_N_ELECTRODES > 55
        #if TSS_DETECT_EL_METHOD(55,TSIL)
          const TSS_TSIL_ELECTRODE_ROMDATA TSS_E55_ROMDATA_CONTEXT = { &TSS_GET_TSIL_METHOD_DATA_CONTEXT(ROMDATA,55), &TSS_GET_TSIL_METHOD_DATA_CONTEXT(RAMDATA,55), TSS_TSIL_EL_CHANNEL_NUM(55)};
                TSS_TSIL_ELECTRODE_RAMDATA TSS_E55_RAMDATA_CONTEXT = { 0u };
        #endif
      #endif

      #if TSS_N_ELECTRODES > 56
        #if TSS_DETECT_EL_METHOD(56,TSIL)
          const TSS_TSIL_ELECTRODE_ROMDATA TSS_E56_ROMDATA_CONTEXT = { &TSS_GET_TSIL_METHOD_DATA_CONTEXT(ROMDATA,56), &TSS_GET_TSIL_METHOD_DATA_CONTEXT(RAMDATA,56), TSS_TSIL_EL_CHANNEL_NUM(56)};
                TSS_TSIL_ELECTRODE_RAMDATA TSS_E56_RAMDATA_CONTEXT = { 0u };
        #endif
      #endif

      #if TSS_N_ELECTRODES > 57
        #if TSS_DETECT_EL_METHOD(57,TSIL)
          const TSS_TSIL_ELECTRODE_ROMDATA TSS_E57_ROMDATA_CONTEXT = { &TSS_GET_TSIL_METHOD_DATA_CONTEXT(ROMDATA,57), &TSS_GET_TSIL_METHOD_DATA_CONTEXT(RAMDATA,57), TSS_TSIL_EL_CHANNEL_NUM(57)};
                TSS_TSIL_ELECTRODE_RAMDATA TSS_E57_RAMDATA_CONTEXT = { 0u };
        #endif
      #endif

      #if TSS_N_ELECTRODES > 58
        #if TSS_DETECT_EL_METHOD(58,TSIL)
          const TSS_TSIL_ELECTRODE_ROMDATA TSS_E58_ROMDATA_CONTEXT = { &TSS_GET_TSIL_METHOD_DATA_CONTEXT(ROMDATA,58), &TSS_GET_TSIL_METHOD_DATA_CONTEXT(RAMDATA,58), TSS_TSIL_EL_CHANNEL_NUM(58)};
                TSS_TSIL_ELECTRODE_RAMDATA TSS_E58_RAMDATA_CONTEXT = { 0u };
        #endif
      #endif

      #if TSS_N_ELECTRODES > 59
        #if TSS_DETECT_EL_METHOD(59,TSIL)
          const TSS_TSIL_ELECTRODE_ROMDATA TSS_E59_ROMDATA_CONTEXT = { &TSS_GET_TSIL_METHOD_DATA_CONTEXT(ROMDATA,59), &TSS_GET_TSIL_METHOD_DATA_CONTEXT(RAMDATA,59), TSS_TSIL_EL_CHANNEL_NUM(59)};
                TSS_TSIL_ELECTRODE_RAMDATA TSS_E59_RAMDATA_CONTEXT = { 0u };
        #endif
      #endif

      #if TSS_N_ELECTRODES > 60
        #if TSS_DETECT_EL_METHOD(60,TSIL)
          const TSS_TSIL_ELECTRODE_ROMDATA TSS_E60_ROMDATA_CONTEXT = { &TSS_GET_TSIL_METHOD_DATA_CONTEXT(ROMDATA,60), &TSS_GET_TSIL_METHOD_DATA_CONTEXT(RAMDATA,60), TSS_TSIL_EL_CHANNEL_NUM(60)};
                TSS_TSIL_ELECTRODE_RAMDATA TSS_E60_RAMDATA_CONTEXT = { 0u };
        #endif
      #endif

      #if TSS_N_ELECTRODES > 61
        #if TSS_DETECT_EL_METHOD(61,TSIL)
          const TSS_TSIL_ELECTRODE_ROMDATA TSS_E61_ROMDATA_CONTEXT = { &TSS_GET_TSIL_METHOD_DATA_CONTEXT(ROMDATA,61), &TSS_GET_TSIL_METHOD_DATA_CONTEXT(RAMDATA,61), TSS_TSIL_EL_CHANNEL_NUM(61)};
                TSS_TSIL_ELECTRODE_RAMDATA TSS_E61_RAMDATA_CONTEXT = { 0u };
        #endif
      #endif

      #if TSS_N_ELECTRODES > 62
        #if TSS_DETECT_EL_METHOD(62,TSIL)
          const TSS_TSIL_ELECTRODE_ROMDATA TSS_E62_ROMDATA_CONTEXT = { &TSS_GET_TSIL_METHOD_DATA_CONTEXT(ROMDATA,62), &TSS_GET_TSIL_METHOD_DATA_CONTEXT(RAMDATA,62), TSS_TSIL_EL_CHANNEL_NUM(62)};
                TSS_TSIL_ELECTRODE_RAMDATA TSS_E62_RAMDATA_CONTEXT = { 0u };
        #endif
      #endif

      #if TSS_N_ELECTRODES > 63
        #if TSS_DETECT_EL_METHOD(63,TSIL)
          const TSS_TSIL_ELECTRODE_ROMDATA TSS_E63_ROMDATA_CONTEXT = { &TSS_GET_TSIL_METHOD_DATA_CONTEXT(ROMDATA,63), &TSS_GET_TSIL_METHOD_DATA_CONTEXT(RAMDATA,63), TSS_TSIL_EL_CHANNEL_NUM(63)};
                TSS_TSIL_ELECTRODE_RAMDATA TSS_E63_RAMDATA_CONTEXT = { 0u };
        #endif
      #endif

    #endif /* End of TSS_USE_SIMPLE_LOW_LEVEL == 0 */

  #elif TSS_KINETIS_MCU || TSS_CFM_MCU

    /***************** Method Memory Data Decoding Macros **********/

    #define TSS_GET_TSIL_METHOD_DATA_CONTEXT_RESULT(memory,res)       TSS_##res##_METHOD_##memory##_CONTEXT
    #define TSS_GET_TSIL_METHOD_DATA_CONTEXT_CONV(memory,text)        TSS_GET_TSIL_METHOD_DATA_CONTEXT_RESULT(memory,text)
    #define TSS_GET_TSIL_METHOD_DATA_CONTEXT_TYPE(memory,module)      TSS_GET_TSIL_METHOD_DATA_CONTEXT_CONV(memory,module)

    #define TSS_GET_TSIL_METHOD_DATA_CONTEXT(memory,el)               TSS_GET_TSIL_METHOD_DATA_CONTEXT_TYPE(memory, TSS_TSIL_EL_METHOD_MODULE_NAME(el))

    /***************** ROM & RAM Data definition *******************/

    #if TSS_N_ELECTRODES > 0
      #if TSS_DETECT_EL_METHOD(0,TSIL)
        const TSS_TSIL_ELECTRODE_ROMDATA TSS_E0_ROMDATA_CONTEXT = { &TSS_GET_TSIL_METHOD_DATA_CONTEXT(ROMDATA,0), &TSS_GET_TSIL_METHOD_DATA_CONTEXT(RAMDATA,0), TSS_TSIL_EL_CHANNEL_NUM(0)};
              TSS_TSIL_ELECTRODE_RAMDATA TSS_E0_RAMDATA_CONTEXT = { 0u };
      #endif
    #endif

    #if TSS_N_ELECTRODES > 1
      #if TSS_DETECT_EL_METHOD(1,TSIL)
        const TSS_TSIL_ELECTRODE_ROMDATA TSS_E1_ROMDATA_CONTEXT = { &TSS_GET_TSIL_METHOD_DATA_CONTEXT(ROMDATA,1), &TSS_GET_TSIL_METHOD_DATA_CONTEXT(RAMDATA,1), TSS_TSIL_EL_CHANNEL_NUM(1)};
              TSS_TSIL_ELECTRODE_RAMDATA TSS_E1_RAMDATA_CONTEXT = { 0u };
      #endif
    #endif

    #if TSS_N_ELECTRODES > 2
      #if TSS_DETECT_EL_METHOD(2,TSIL)
        const TSS_TSIL_ELECTRODE_ROMDATA TSS_E2_ROMDATA_CONTEXT = { &TSS_GET_TSIL_METHOD_DATA_CONTEXT(ROMDATA,2), &TSS_GET_TSIL_METHOD_DATA_CONTEXT(RAMDATA,2), TSS_TSIL_EL_CHANNEL_NUM(2)};
              TSS_TSIL_ELECTRODE_RAMDATA TSS_E2_RAMDATA_CONTEXT = { 0u };
      #endif
    #endif

    #if TSS_N_ELECTRODES > 3
      #if TSS_DETECT_EL_METHOD(3,TSIL)
        const TSS_TSIL_ELECTRODE_ROMDATA TSS_E3_ROMDATA_CONTEXT = { &TSS_GET_TSIL_METHOD_DATA_CONTEXT(ROMDATA,3), &TSS_GET_TSIL_METHOD_DATA_CONTEXT(RAMDATA,3), TSS_TSIL_EL_CHANNEL_NUM(3)};
              TSS_TSIL_ELECTRODE_RAMDATA TSS_E3_RAMDATA_CONTEXT = { 0u };
      #endif
    #endif

    #if TSS_N_ELECTRODES > 4
      #if TSS_DETECT_EL_METHOD(4,TSIL)
        const TSS_TSIL_ELECTRODE_ROMDATA TSS_E4_ROMDATA_CONTEXT = { &TSS_GET_TSIL_METHOD_DATA_CONTEXT(ROMDATA,4), &TSS_GET_TSIL_METHOD_DATA_CONTEXT(RAMDATA,4), TSS_TSIL_EL_CHANNEL_NUM(4)};
              TSS_TSIL_ELECTRODE_RAMDATA TSS_E4_RAMDATA_CONTEXT = { 0u };
      #endif
    #endif

    #if TSS_N_ELECTRODES > 5
      #if TSS_DETECT_EL_METHOD(5,TSIL)
        const TSS_TSIL_ELECTRODE_ROMDATA TSS_E5_ROMDATA_CONTEXT = { &TSS_GET_TSIL_METHOD_DATA_CONTEXT(ROMDATA,5), &TSS_GET_TSIL_METHOD_DATA_CONTEXT(RAMDATA,5), TSS_TSIL_EL_CHANNEL_NUM(5)};
              TSS_TSIL_ELECTRODE_RAMDATA TSS_E5_RAMDATA_CONTEXT = { 0u };
      #endif
    #endif

    #if TSS_N_ELECTRODES > 6
      #if TSS_DETECT_EL_METHOD(6,TSIL)
        const TSS_TSIL_ELECTRODE_ROMDATA TSS_E6_ROMDATA_CONTEXT = { &TSS_GET_TSIL_METHOD_DATA_CONTEXT(ROMDATA,6), &TSS_GET_TSIL_METHOD_DATA_CONTEXT(RAMDATA,6), TSS_TSIL_EL_CHANNEL_NUM(6)};
              TSS_TSIL_ELECTRODE_RAMDATA TSS_E6_RAMDATA_CONTEXT = { 0u };
      #endif
    #endif

    #if TSS_N_ELECTRODES > 7
      #if TSS_DETECT_EL_METHOD(7,TSIL)
        const TSS_TSIL_ELECTRODE_ROMDATA TSS_E7_ROMDATA_CONTEXT = { &TSS_GET_TSIL_METHOD_DATA_CONTEXT(ROMDATA,7), &TSS_GET_TSIL_METHOD_DATA_CONTEXT(RAMDATA,7), TSS_TSIL_EL_CHANNEL_NUM(7)};
              TSS_TSIL_ELECTRODE_RAMDATA TSS_E7_RAMDATA_CONTEXT = { 0u };
      #endif
    #endif

    #if TSS_N_ELECTRODES > 8
      #if TSS_DETECT_EL_METHOD(8,TSIL)
        const TSS_TSIL_ELECTRODE_ROMDATA TSS_E8_ROMDATA_CONTEXT = { &TSS_GET_TSIL_METHOD_DATA_CONTEXT(ROMDATA,8), &TSS_GET_TSIL_METHOD_DATA_CONTEXT(RAMDATA,8), TSS_TSIL_EL_CHANNEL_NUM(8)};
              TSS_TSIL_ELECTRODE_RAMDATA TSS_E8_RAMDATA_CONTEXT = { 0u };
      #endif
    #endif

    #if TSS_N_ELECTRODES > 9
      #if TSS_DETECT_EL_METHOD(9,TSIL)
        const TSS_TSIL_ELECTRODE_ROMDATA TSS_E9_ROMDATA_CONTEXT = { &TSS_GET_TSIL_METHOD_DATA_CONTEXT(ROMDATA,9), &TSS_GET_TSIL_METHOD_DATA_CONTEXT(RAMDATA,9), TSS_TSIL_EL_CHANNEL_NUM(9)};
              TSS_TSIL_ELECTRODE_RAMDATA TSS_E9_RAMDATA_CONTEXT = { 0u };
      #endif
    #endif

    #if TSS_N_ELECTRODES > 10
      #if TSS_DETECT_EL_METHOD(10,TSIL)
        const TSS_TSIL_ELECTRODE_ROMDATA TSS_E10_ROMDATA_CONTEXT = { &TSS_GET_TSIL_METHOD_DATA_CONTEXT(ROMDATA,10), &TSS_GET_TSIL_METHOD_DATA_CONTEXT(RAMDATA,10), TSS_TSIL_EL_CHANNEL_NUM(10)};
              TSS_TSIL_ELECTRODE_RAMDATA TSS_E10_RAMDATA_CONTEXT = { 0u };
      #endif
    #endif

    #if TSS_N_ELECTRODES > 11
      #if TSS_DETECT_EL_METHOD(11,TSIL)
        const TSS_TSIL_ELECTRODE_ROMDATA TSS_E11_ROMDATA_CONTEXT = { &TSS_GET_TSIL_METHOD_DATA_CONTEXT(ROMDATA,11), &TSS_GET_TSIL_METHOD_DATA_CONTEXT(RAMDATA,11), TSS_TSIL_EL_CHANNEL_NUM(11)};
              TSS_TSIL_ELECTRODE_RAMDATA TSS_E11_RAMDATA_CONTEXT = { 0u };
      #endif
    #endif

    #if TSS_N_ELECTRODES > 12
      #if TSS_DETECT_EL_METHOD(12,TSIL)
        const TSS_TSIL_ELECTRODE_ROMDATA TSS_E12_ROMDATA_CONTEXT = { &TSS_GET_TSIL_METHOD_DATA_CONTEXT(ROMDATA,12), &TSS_GET_TSIL_METHOD_DATA_CONTEXT(RAMDATA,12), TSS_TSIL_EL_CHANNEL_NUM(12)};
              TSS_TSIL_ELECTRODE_RAMDATA TSS_E12_RAMDATA_CONTEXT = { 0u };
      #endif
    #endif

    #if TSS_N_ELECTRODES > 13
      #if TSS_DETECT_EL_METHOD(13,TSIL)
        const TSS_TSIL_ELECTRODE_ROMDATA TSS_E13_ROMDATA_CONTEXT = { &TSS_GET_TSIL_METHOD_DATA_CONTEXT(ROMDATA,13), &TSS_GET_TSIL_METHOD_DATA_CONTEXT(RAMDATA,13), TSS_TSIL_EL_CHANNEL_NUM(13)};
              TSS_TSIL_ELECTRODE_RAMDATA TSS_E13_RAMDATA_CONTEXT = { 0u };
      #endif
    #endif

    #if TSS_N_ELECTRODES > 14
      #if TSS_DETECT_EL_METHOD(14,TSIL)
        const TSS_TSIL_ELECTRODE_ROMDATA TSS_E14_ROMDATA_CONTEXT = { &TSS_GET_TSIL_METHOD_DATA_CONTEXT(ROMDATA,14), &TSS_GET_TSIL_METHOD_DATA_CONTEXT(RAMDATA,14), TSS_TSIL_EL_CHANNEL_NUM(14)};
              TSS_TSIL_ELECTRODE_RAMDATA TSS_E14_RAMDATA_CONTEXT = { 0u };
      #endif
    #endif

    #if TSS_N_ELECTRODES > 15
      #if TSS_DETECT_EL_METHOD(15,TSIL)
        const TSS_TSIL_ELECTRODE_ROMDATA TSS_E15_ROMDATA_CONTEXT = { &TSS_GET_TSIL_METHOD_DATA_CONTEXT(ROMDATA,15), &TSS_GET_TSIL_METHOD_DATA_CONTEXT(RAMDATA,15), TSS_TSIL_EL_CHANNEL_NUM(15)};
              TSS_TSIL_ELECTRODE_RAMDATA TSS_E15_RAMDATA_CONTEXT = { 0u };
      #endif
    #endif

    #if TSS_N_ELECTRODES > 16
      #if TSS_DETECT_EL_METHOD(16,TSIL)
        const TSS_TSIL_ELECTRODE_ROMDATA TSS_E16_ROMDATA_CONTEXT = { &TSS_GET_TSIL_METHOD_DATA_CONTEXT(ROMDATA,16), &TSS_GET_TSIL_METHOD_DATA_CONTEXT(RAMDATA,16), TSS_TSIL_EL_CHANNEL_NUM(16)};
              TSS_TSIL_ELECTRODE_RAMDATA TSS_E16_RAMDATA_CONTEXT = { 0u };
      #endif
    #endif

    #if TSS_N_ELECTRODES > 17
      #if TSS_DETECT_EL_METHOD(17,TSIL)
        const TSS_TSIL_ELECTRODE_ROMDATA TSS_E17_ROMDATA_CONTEXT = { &TSS_GET_TSIL_METHOD_DATA_CONTEXT(ROMDATA,17), &TSS_GET_TSIL_METHOD_DATA_CONTEXT(RAMDATA,17), TSS_TSIL_EL_CHANNEL_NUM(17)};
              TSS_TSIL_ELECTRODE_RAMDATA TSS_E17_RAMDATA_CONTEXT = { 0u };
      #endif
    #endif

    #if TSS_N_ELECTRODES > 18
      #if TSS_DETECT_EL_METHOD(18,TSIL)
        const TSS_TSIL_ELECTRODE_ROMDATA TSS_E18_ROMDATA_CONTEXT = { &TSS_GET_TSIL_METHOD_DATA_CONTEXT(ROMDATA,18), &TSS_GET_TSIL_METHOD_DATA_CONTEXT(RAMDATA,18), TSS_TSIL_EL_CHANNEL_NUM(18)};
              TSS_TSIL_ELECTRODE_RAMDATA TSS_E18_RAMDATA_CONTEXT = { 0u };
      #endif
    #endif

    #if TSS_N_ELECTRODES > 19
      #if TSS_DETECT_EL_METHOD(19,TSIL)
        const TSS_TSIL_ELECTRODE_ROMDATA TSS_E19_ROMDATA_CONTEXT = { &TSS_GET_TSIL_METHOD_DATA_CONTEXT(ROMDATA,19), &TSS_GET_TSIL_METHOD_DATA_CONTEXT(RAMDATA,19), TSS_TSIL_EL_CHANNEL_NUM(19)};
              TSS_TSIL_ELECTRODE_RAMDATA TSS_E19_RAMDATA_CONTEXT = { 0u };
      #endif
    #endif

    #if TSS_N_ELECTRODES > 20
      #if TSS_DETECT_EL_METHOD(20,TSIL)
        const TSS_TSIL_ELECTRODE_ROMDATA TSS_E20_ROMDATA_CONTEXT = { &TSS_GET_TSIL_METHOD_DATA_CONTEXT(ROMDATA,20), &TSS_GET_TSIL_METHOD_DATA_CONTEXT(RAMDATA,20), TSS_TSIL_EL_CHANNEL_NUM(20)};
              TSS_TSIL_ELECTRODE_RAMDATA TSS_E20_RAMDATA_CONTEXT = { 0u };
      #endif
    #endif

    #if TSS_N_ELECTRODES > 21
      #if TSS_DETECT_EL_METHOD(21,TSIL)
        const TSS_TSIL_ELECTRODE_ROMDATA TSS_E21_ROMDATA_CONTEXT = { &TSS_GET_TSIL_METHOD_DATA_CONTEXT(ROMDATA,21), &TSS_GET_TSIL_METHOD_DATA_CONTEXT(RAMDATA,21), TSS_TSIL_EL_CHANNEL_NUM(21)};
              TSS_TSIL_ELECTRODE_RAMDATA TSS_E21_RAMDATA_CONTEXT = { 0u };
      #endif
    #endif

    #if TSS_N_ELECTRODES > 22
      #if TSS_DETECT_EL_METHOD(22,TSIL)
        const TSS_TSIL_ELECTRODE_ROMDATA TSS_E22_ROMDATA_CONTEXT = { &TSS_GET_TSIL_METHOD_DATA_CONTEXT(ROMDATA,22), &TSS_GET_TSIL_METHOD_DATA_CONTEXT(RAMDATA,22), TSS_TSIL_EL_CHANNEL_NUM(22)};
              TSS_TSIL_ELECTRODE_RAMDATA TSS_E22_RAMDATA_CONTEXT = { 0u };
      #endif
    #endif

    #if TSS_N_ELECTRODES > 23
      #if TSS_DETECT_EL_METHOD(23,TSIL)
        const TSS_TSIL_ELECTRODE_ROMDATA TSS_E23_ROMDATA_CONTEXT = { &TSS_GET_TSIL_METHOD_DATA_CONTEXT(ROMDATA,23), &TSS_GET_TSIL_METHOD_DATA_CONTEXT(RAMDATA,23), TSS_TSIL_EL_CHANNEL_NUM(23)};
              TSS_TSIL_ELECTRODE_RAMDATA TSS_E23_RAMDATA_CONTEXT = { 0u };
      #endif
    #endif

    #if TSS_N_ELECTRODES > 24
      #if TSS_DETECT_EL_METHOD(24,TSIL)
        const TSS_TSIL_ELECTRODE_ROMDATA TSS_E24_ROMDATA_CONTEXT = { &TSS_GET_TSIL_METHOD_DATA_CONTEXT(ROMDATA,24), &TSS_GET_TSIL_METHOD_DATA_CONTEXT(RAMDATA,24), TSS_TSIL_EL_CHANNEL_NUM(24)};
              TSS_TSIL_ELECTRODE_RAMDATA TSS_E24_RAMDATA_CONTEXT = { 0u };
      #endif
    #endif

    #if TSS_N_ELECTRODES > 25
      #if TSS_DETECT_EL_METHOD(25,TSIL)
        const TSS_TSIL_ELECTRODE_ROMDATA TSS_E25_ROMDATA_CONTEXT = { &TSS_GET_TSIL_METHOD_DATA_CONTEXT(ROMDATA,25), &TSS_GET_TSIL_METHOD_DATA_CONTEXT(RAMDATA,25), TSS_TSIL_EL_CHANNEL_NUM(25)};
              TSS_TSIL_ELECTRODE_RAMDATA TSS_E25_RAMDATA_CONTEXT = { 0u };
      #endif
    #endif

    #if TSS_N_ELECTRODES > 26
      #if TSS_DETECT_EL_METHOD(26,TSIL)
        const TSS_TSIL_ELECTRODE_ROMDATA TSS_E26_ROMDATA_CONTEXT = { &TSS_GET_TSIL_METHOD_DATA_CONTEXT(ROMDATA,26), &TSS_GET_TSIL_METHOD_DATA_CONTEXT(RAMDATA,26), TSS_TSIL_EL_CHANNEL_NUM(26)};
              TSS_TSIL_ELECTRODE_RAMDATA TSS_E26_RAMDATA_CONTEXT = { 0u };
      #endif
    #endif

    #if TSS_N_ELECTRODES > 27
      #if TSS_DETECT_EL_METHOD(27,TSIL)
        const TSS_TSIL_ELECTRODE_ROMDATA TSS_E27_ROMDATA_CONTEXT = { &TSS_GET_TSIL_METHOD_DATA_CONTEXT(ROMDATA,27), &TSS_GET_TSIL_METHOD_DATA_CONTEXT(RAMDATA,27), TSS_TSIL_EL_CHANNEL_NUM(27)};
              TSS_TSIL_ELECTRODE_RAMDATA TSS_E27_RAMDATA_CONTEXT = { 0u };
      #endif
    #endif

    #if TSS_N_ELECTRODES > 28
      #if TSS_DETECT_EL_METHOD(28,TSIL)
        const TSS_TSIL_ELECTRODE_ROMDATA TSS_E28_ROMDATA_CONTEXT = { &TSS_GET_TSIL_METHOD_DATA_CONTEXT(ROMDATA,28), &TSS_GET_TSIL_METHOD_DATA_CONTEXT(RAMDATA,28), TSS_TSIL_EL_CHANNEL_NUM(28)};
              TSS_TSIL_ELECTRODE_RAMDATA TSS_E28_RAMDATA_CONTEXT = { 0u };
      #endif
    #endif

    #if TSS_N_ELECTRODES > 29
      #if TSS_DETECT_EL_METHOD(29,TSIL)
        const TSS_TSIL_ELECTRODE_ROMDATA TSS_E29_ROMDATA_CONTEXT = { &TSS_GET_TSIL_METHOD_DATA_CONTEXT(ROMDATA,29), &TSS_GET_TSIL_METHOD_DATA_CONTEXT(RAMDATA,29), TSS_TSIL_EL_CHANNEL_NUM(29)};
              TSS_TSIL_ELECTRODE_RAMDATA TSS_E29_RAMDATA_CONTEXT = { 0u };
      #endif
    #endif

    #if TSS_N_ELECTRODES > 30
      #if TSS_DETECT_EL_METHOD(30,TSIL)
        const TSS_TSIL_ELECTRODE_ROMDATA TSS_E30_ROMDATA_CONTEXT = { &TSS_GET_TSIL_METHOD_DATA_CONTEXT(ROMDATA,30), &TSS_GET_TSIL_METHOD_DATA_CONTEXT(RAMDATA,30), TSS_TSIL_EL_CHANNEL_NUM(30)};
              TSS_TSIL_ELECTRODE_RAMDATA TSS_E30_RAMDATA_CONTEXT = { 0u };
      #endif
    #endif

    #if TSS_N_ELECTRODES > 31
      #if TSS_DETECT_EL_METHOD(31,TSIL)
        const TSS_TSIL_ELECTRODE_ROMDATA TSS_E31_ROMDATA_CONTEXT = { &TSS_GET_TSIL_METHOD_DATA_CONTEXT(ROMDATA,31), &TSS_GET_TSIL_METHOD_DATA_CONTEXT(RAMDATA,31), TSS_TSIL_EL_CHANNEL_NUM(31)};
              TSS_TSIL_ELECTRODE_RAMDATA TSS_E31_RAMDATA_CONTEXT = { 0u };
      #endif
    #endif

    #if TSS_N_ELECTRODES > 32
      #if TSS_DETECT_EL_METHOD(32,TSIL)
        const TSS_TSIL_ELECTRODE_ROMDATA TSS_E32_ROMDATA_CONTEXT = { &TSS_GET_TSIL_METHOD_DATA_CONTEXT(ROMDATA,32), &TSS_GET_TSIL_METHOD_DATA_CONTEXT(RAMDATA,32), TSS_TSIL_EL_CHANNEL_NUM(32)};
              TSS_TSIL_ELECTRODE_RAMDATA TSS_E32_RAMDATA_CONTEXT = { 0u };
      #endif
    #endif

    #if TSS_N_ELECTRODES > 33
      #if TSS_DETECT_EL_METHOD(33,TSIL)
        const TSS_TSIL_ELECTRODE_ROMDATA TSS_E33_ROMDATA_CONTEXT = { &TSS_GET_TSIL_METHOD_DATA_CONTEXT(ROMDATA,33), &TSS_GET_TSIL_METHOD_DATA_CONTEXT(RAMDATA,33), TSS_TSIL_EL_CHANNEL_NUM(33)};
              TSS_TSIL_ELECTRODE_RAMDATA TSS_E33_RAMDATA_CONTEXT = { 0u };
      #endif
    #endif

    #if TSS_N_ELECTRODES > 34
      #if TSS_DETECT_EL_METHOD(34,TSIL)
        const TSS_TSIL_ELECTRODE_ROMDATA TSS_E34_ROMDATA_CONTEXT = { &TSS_GET_TSIL_METHOD_DATA_CONTEXT(ROMDATA,34), &TSS_GET_TSIL_METHOD_DATA_CONTEXT(RAMDATA,34), TSS_TSIL_EL_CHANNEL_NUM(34)};
              TSS_TSIL_ELECTRODE_RAMDATA TSS_E34_RAMDATA_CONTEXT = { 0u };
      #endif
    #endif

    #if TSS_N_ELECTRODES > 35
      #if TSS_DETECT_EL_METHOD(35,TSIL)
        const TSS_TSIL_ELECTRODE_ROMDATA TSS_E35_ROMDATA_CONTEXT = { &TSS_GET_TSIL_METHOD_DATA_CONTEXT(ROMDATA,35), &TSS_GET_TSIL_METHOD_DATA_CONTEXT(RAMDATA,35), TSS_TSIL_EL_CHANNEL_NUM(35)};
              TSS_TSIL_ELECTRODE_RAMDATA TSS_E35_RAMDATA_CONTEXT = { 0u };
      #endif
    #endif

    #if TSS_N_ELECTRODES > 36
      #if TSS_DETECT_EL_METHOD(36,TSIL)
        const TSS_TSIL_ELECTRODE_ROMDATA TSS_E36_ROMDATA_CONTEXT = { &TSS_GET_TSIL_METHOD_DATA_CONTEXT(ROMDATA,36), &TSS_GET_TSIL_METHOD_DATA_CONTEXT(RAMDATA,36), TSS_TSIL_EL_CHANNEL_NUM(36)};
              TSS_TSIL_ELECTRODE_RAMDATA TSS_E36_RAMDATA_CONTEXT = { 0u };
      #endif
    #endif

    #if TSS_N_ELECTRODES > 37
      #if TSS_DETECT_EL_METHOD(37,TSIL)
        const TSS_TSIL_ELECTRODE_ROMDATA TSS_E37_ROMDATA_CONTEXT = { &TSS_GET_TSIL_METHOD_DATA_CONTEXT(ROMDATA,37), &TSS_GET_TSIL_METHOD_DATA_CONTEXT(RAMDATA,37), TSS_TSIL_EL_CHANNEL_NUM(37)};
              TSS_TSIL_ELECTRODE_RAMDATA TSS_E37_RAMDATA_CONTEXT = { 0u };
      #endif
    #endif

    #if TSS_N_ELECTRODES > 38
      #if TSS_DETECT_EL_METHOD(38,TSIL)
        const TSS_TSIL_ELECTRODE_ROMDATA TSS_E38_ROMDATA_CONTEXT = { &TSS_GET_TSIL_METHOD_DATA_CONTEXT(ROMDATA,38), &TSS_GET_TSIL_METHOD_DATA_CONTEXT(RAMDATA,38), TSS_TSIL_EL_CHANNEL_NUM(38)};
              TSS_TSIL_ELECTRODE_RAMDATA TSS_E38_RAMDATA_CONTEXT = { 0u };
      #endif
    #endif

    #if TSS_N_ELECTRODES > 39
      #if TSS_DETECT_EL_METHOD(39,TSIL)
        const TSS_TSIL_ELECTRODE_ROMDATA TSS_E39_ROMDATA_CONTEXT = { &TSS_GET_TSIL_METHOD_DATA_CONTEXT(ROMDATA,39), &TSS_GET_TSIL_METHOD_DATA_CONTEXT(RAMDATA,39), TSS_TSIL_EL_CHANNEL_NUM(39)};
              TSS_TSIL_ELECTRODE_RAMDATA TSS_E39_RAMDATA_CONTEXT = { 0u };
      #endif
    #endif

    #if TSS_N_ELECTRODES > 40
      #if TSS_DETECT_EL_METHOD(40,TSIL)
        const TSS_TSIL_ELECTRODE_ROMDATA TSS_E40_ROMDATA_CONTEXT = { &TSS_GET_TSIL_METHOD_DATA_CONTEXT(ROMDATA,40), &TSS_GET_TSIL_METHOD_DATA_CONTEXT(RAMDATA,40), TSS_TSIL_EL_CHANNEL_NUM(40)};
              TSS_TSIL_ELECTRODE_RAMDATA TSS_E40_RAMDATA_CONTEXT = { 0u };
      #endif
    #endif

    #if TSS_N_ELECTRODES > 41
      #if TSS_DETECT_EL_METHOD(41,TSIL)
        const TSS_TSIL_ELECTRODE_ROMDATA TSS_E41_ROMDATA_CONTEXT = { &TSS_GET_TSIL_METHOD_DATA_CONTEXT(ROMDATA,41), &TSS_GET_TSIL_METHOD_DATA_CONTEXT(RAMDATA,41), TSS_TSIL_EL_CHANNEL_NUM(41)};
              TSS_TSIL_ELECTRODE_RAMDATA TSS_E41_RAMDATA_CONTEXT = { 0u };
      #endif
    #endif

    #if TSS_N_ELECTRODES > 42
      #if TSS_DETECT_EL_METHOD(42,TSIL)
        const TSS_TSIL_ELECTRODE_ROMDATA TSS_E42_ROMDATA_CONTEXT = { &TSS_GET_TSIL_METHOD_DATA_CONTEXT(ROMDATA,42), &TSS_GET_TSIL_METHOD_DATA_CONTEXT(RAMDATA,42), TSS_TSIL_EL_CHANNEL_NUM(42)};
              TSS_TSIL_ELECTRODE_RAMDATA TSS_E42_RAMDATA_CONTEXT = { 0u };
      #endif
    #endif

    #if TSS_N_ELECTRODES > 43
      #if TSS_DETECT_EL_METHOD(43,TSIL)
        const TSS_TSIL_ELECTRODE_ROMDATA TSS_E43_ROMDATA_CONTEXT = { &TSS_GET_TSIL_METHOD_DATA_CONTEXT(ROMDATA,43), &TSS_GET_TSIL_METHOD_DATA_CONTEXT(RAMDATA,43), TSS_TSIL_EL_CHANNEL_NUM(43)};
              TSS_TSIL_ELECTRODE_RAMDATA TSS_E43_RAMDATA_CONTEXT = { 0u };
      #endif
    #endif

    #if TSS_N_ELECTRODES > 44
      #if TSS_DETECT_EL_METHOD(44,TSIL)
        const TSS_TSIL_ELECTRODE_ROMDATA TSS_E44_ROMDATA_CONTEXT = { &TSS_GET_TSIL_METHOD_DATA_CONTEXT(ROMDATA,44), &TSS_GET_TSIL_METHOD_DATA_CONTEXT(RAMDATA,44), TSS_TSIL_EL_CHANNEL_NUM(44)};
              TSS_TSIL_ELECTRODE_RAMDATA TSS_E44_RAMDATA_CONTEXT = { 0u };
      #endif
    #endif

    #if TSS_N_ELECTRODES > 45
      #if TSS_DETECT_EL_METHOD(45,TSIL)
        const TSS_TSIL_ELECTRODE_ROMDATA TSS_E45_ROMDATA_CONTEXT = { &TSS_GET_TSIL_METHOD_DATA_CONTEXT(ROMDATA,45), &TSS_GET_TSIL_METHOD_DATA_CONTEXT(RAMDATA,45), TSS_TSIL_EL_CHANNEL_NUM(45)};
              TSS_TSIL_ELECTRODE_RAMDATA TSS_E45_RAMDATA_CONTEXT = { 0u };
      #endif
    #endif

    #if TSS_N_ELECTRODES > 46
      #if TSS_DETECT_EL_METHOD(46,TSIL)
        const TSS_TSIL_ELECTRODE_ROMDATA TSS_E46_ROMDATA_CONTEXT = { &TSS_GET_TSIL_METHOD_DATA_CONTEXT(ROMDATA,46), &TSS_GET_TSIL_METHOD_DATA_CONTEXT(RAMDATA,46), TSS_TSIL_EL_CHANNEL_NUM(46)};
              TSS_TSIL_ELECTRODE_RAMDATA TSS_E46_RAMDATA_CONTEXT = { 0u };
      #endif
    #endif

    #if TSS_N_ELECTRODES > 47
      #if TSS_DETECT_EL_METHOD(47,TSIL)
        const TSS_TSIL_ELECTRODE_ROMDATA TSS_E47_ROMDATA_CONTEXT = { &TSS_GET_TSIL_METHOD_DATA_CONTEXT(ROMDATA,47), &TSS_GET_TSIL_METHOD_DATA_CONTEXT(RAMDATA,47), TSS_TSIL_EL_CHANNEL_NUM(47)};
              TSS_TSIL_ELECTRODE_RAMDATA TSS_E47_RAMDATA_CONTEXT = { 0u };
      #endif
    #endif

    #if TSS_N_ELECTRODES > 48
      #if TSS_DETECT_EL_METHOD(48,TSIL)
        const TSS_TSIL_ELECTRODE_ROMDATA TSS_E48_ROMDATA_CONTEXT = { &TSS_GET_TSIL_METHOD_DATA_CONTEXT(ROMDATA,48), &TSS_GET_TSIL_METHOD_DATA_CONTEXT(RAMDATA,48), TSS_TSIL_EL_CHANNEL_NUM(48)};
              TSS_TSIL_ELECTRODE_RAMDATA TSS_E48_RAMDATA_CONTEXT = { 0u };
      #endif
    #endif

    #if TSS_N_ELECTRODES > 49
      #if TSS_DETECT_EL_METHOD(49,TSIL)
        const TSS_TSIL_ELECTRODE_ROMDATA TSS_E49_ROMDATA_CONTEXT = { &TSS_GET_TSIL_METHOD_DATA_CONTEXT(ROMDATA,49), &TSS_GET_TSIL_METHOD_DATA_CONTEXT(RAMDATA,49), TSS_TSIL_EL_CHANNEL_NUM(49)};
              TSS_TSIL_ELECTRODE_RAMDATA TSS_E49_RAMDATA_CONTEXT = { 0u };
      #endif
    #endif

    #if TSS_N_ELECTRODES > 50
      #if TSS_DETECT_EL_METHOD(50,TSIL)
        const TSS_TSIL_ELECTRODE_ROMDATA TSS_E50_ROMDATA_CONTEXT = { &TSS_GET_TSIL_METHOD_DATA_CONTEXT(ROMDATA,50), &TSS_GET_TSIL_METHOD_DATA_CONTEXT(RAMDATA,50), TSS_TSIL_EL_CHANNEL_NUM(50)};
              TSS_TSIL_ELECTRODE_RAMDATA TSS_E50_RAMDATA_CONTEXT = { 0u };
      #endif
    #endif

    #if TSS_N_ELECTRODES > 51
      #if TSS_DETECT_EL_METHOD(51,TSIL)
        const TSS_TSIL_ELECTRODE_ROMDATA TSS_E51_ROMDATA_CONTEXT = { &TSS_GET_TSIL_METHOD_DATA_CONTEXT(ROMDATA,51), &TSS_GET_TSIL_METHOD_DATA_CONTEXT(RAMDATA,51), TSS_TSIL_EL_CHANNEL_NUM(51)};
              TSS_TSIL_ELECTRODE_RAMDATA TSS_E51_RAMDATA_CONTEXT = { 0u };
      #endif
    #endif

    #if TSS_N_ELECTRODES > 52
      #if TSS_DETECT_EL_METHOD(52,TSIL)
        const TSS_TSIL_ELECTRODE_ROMDATA TSS_E52_ROMDATA_CONTEXT = { &TSS_GET_TSIL_METHOD_DATA_CONTEXT(ROMDATA,52), &TSS_GET_TSIL_METHOD_DATA_CONTEXT(RAMDATA,52), TSS_TSIL_EL_CHANNEL_NUM(52)};
              TSS_TSIL_ELECTRODE_RAMDATA TSS_E52_RAMDATA_CONTEXT = { 0u };
      #endif
    #endif

    #if TSS_N_ELECTRODES > 53
      #if TSS_DETECT_EL_METHOD(53,TSIL)
        const TSS_TSIL_ELECTRODE_ROMDATA TSS_E53_ROMDATA_CONTEXT = { &TSS_GET_TSIL_METHOD_DATA_CONTEXT(ROMDATA,53), &TSS_GET_TSIL_METHOD_DATA_CONTEXT(RAMDATA,53), TSS_TSIL_EL_CHANNEL_NUM(53)};
              TSS_TSIL_ELECTRODE_RAMDATA TSS_E53_RAMDATA_CONTEXT = { 0u };
      #endif
    #endif

    #if TSS_N_ELECTRODES > 54
      #if TSS_DETECT_EL_METHOD(54,TSIL)
        const TSS_TSIL_ELECTRODE_ROMDATA TSS_E54_ROMDATA_CONTEXT = { &TSS_GET_TSIL_METHOD_DATA_CONTEXT(ROMDATA,54), &TSS_GET_TSIL_METHOD_DATA_CONTEXT(RAMDATA,54), TSS_TSIL_EL_CHANNEL_NUM(54)};
              TSS_TSIL_ELECTRODE_RAMDATA TSS_E54_RAMDATA_CONTEXT = { 0u };
      #endif
    #endif

    #if TSS_N_ELECTRODES > 55
      #if TSS_DETECT_EL_METHOD(55,TSIL)
        const TSS_TSIL_ELECTRODE_ROMDATA TSS_E55_ROMDATA_CONTEXT = { &TSS_GET_TSIL_METHOD_DATA_CONTEXT(ROMDATA,55), &TSS_GET_TSIL_METHOD_DATA_CONTEXT(RAMDATA,55), TSS_TSIL_EL_CHANNEL_NUM(55)};
              TSS_TSIL_ELECTRODE_RAMDATA TSS_E55_RAMDATA_CONTEXT = { 0u };
      #endif
    #endif

    #if TSS_N_ELECTRODES > 56
      #if TSS_DETECT_EL_METHOD(56,TSIL)
        const TSS_TSIL_ELECTRODE_ROMDATA TSS_E56_ROMDATA_CONTEXT = { &TSS_GET_TSIL_METHOD_DATA_CONTEXT(ROMDATA,56), &TSS_GET_TSIL_METHOD_DATA_CONTEXT(RAMDATA,56), TSS_TSIL_EL_CHANNEL_NUM(56)};
              TSS_TSIL_ELECTRODE_RAMDATA TSS_E56_RAMDATA_CONTEXT = { 0u };
      #endif
    #endif

    #if TSS_N_ELECTRODES > 57
      #if TSS_DETECT_EL_METHOD(57,TSIL)
        const TSS_TSIL_ELECTRODE_ROMDATA TSS_E57_ROMDATA_CONTEXT = { &TSS_GET_TSIL_METHOD_DATA_CONTEXT(ROMDATA,57), &TSS_GET_TSIL_METHOD_DATA_CONTEXT(RAMDATA,57), TSS_TSIL_EL_CHANNEL_NUM(57)};
              TSS_TSIL_ELECTRODE_RAMDATA TSS_E57_RAMDATA_CONTEXT = { 0u };
      #endif
    #endif

    #if TSS_N_ELECTRODES > 58
      #if TSS_DETECT_EL_METHOD(58,TSIL)
        const TSS_TSIL_ELECTRODE_ROMDATA TSS_E58_ROMDATA_CONTEXT = { &TSS_GET_TSIL_METHOD_DATA_CONTEXT(ROMDATA,58), &TSS_GET_TSIL_METHOD_DATA_CONTEXT(RAMDATA,58), TSS_TSIL_EL_CHANNEL_NUM(58)};
              TSS_TSIL_ELECTRODE_RAMDATA TSS_E58_RAMDATA_CONTEXT = { 0u };
      #endif
    #endif

    #if TSS_N_ELECTRODES > 59
      #if TSS_DETECT_EL_METHOD(59,TSIL)
        const TSS_TSIL_ELECTRODE_ROMDATA TSS_E59_ROMDATA_CONTEXT = { &TSS_GET_TSIL_METHOD_DATA_CONTEXT(ROMDATA,59), &TSS_GET_TSIL_METHOD_DATA_CONTEXT(RAMDATA,59), TSS_TSIL_EL_CHANNEL_NUM(59)};
              TSS_TSIL_ELECTRODE_RAMDATA TSS_E59_RAMDATA_CONTEXT = { 0u };
      #endif
    #endif

    #if TSS_N_ELECTRODES > 60
      #if TSS_DETECT_EL_METHOD(60,TSIL)
        const TSS_TSIL_ELECTRODE_ROMDATA TSS_E60_ROMDATA_CONTEXT = { &TSS_GET_TSIL_METHOD_DATA_CONTEXT(ROMDATA,60), &TSS_GET_TSIL_METHOD_DATA_CONTEXT(RAMDATA,60), TSS_TSIL_EL_CHANNEL_NUM(60)};
              TSS_TSIL_ELECTRODE_RAMDATA TSS_E60_RAMDATA_CONTEXT = { 0u };
      #endif
    #endif

    #if TSS_N_ELECTRODES > 61
      #if TSS_DETECT_EL_METHOD(61,TSIL)
        const TSS_TSIL_ELECTRODE_ROMDATA TSS_E61_ROMDATA_CONTEXT = { &TSS_GET_TSIL_METHOD_DATA_CONTEXT(ROMDATA,61), &TSS_GET_TSIL_METHOD_DATA_CONTEXT(RAMDATA,61), TSS_TSIL_EL_CHANNEL_NUM(61)};
              TSS_TSIL_ELECTRODE_RAMDATA TSS_E61_RAMDATA_CONTEXT = { 0u };
      #endif
    #endif

    #if TSS_N_ELECTRODES > 62
      #if TSS_DETECT_EL_METHOD(62,TSIL)
        const TSS_TSIL_ELECTRODE_ROMDATA TSS_E62_ROMDATA_CONTEXT = { &TSS_GET_TSIL_METHOD_DATA_CONTEXT(ROMDATA,62), &TSS_GET_TSIL_METHOD_DATA_CONTEXT(RAMDATA,62), TSS_TSIL_EL_CHANNEL_NUM(62)};
              TSS_TSIL_ELECTRODE_RAMDATA TSS_E62_RAMDATA_CONTEXT = { 0u };
      #endif
    #endif

    #if TSS_N_ELECTRODES > 63
      #if TSS_DETECT_EL_METHOD(63,TSIL)
        const TSS_TSIL_ELECTRODE_ROMDATA TSS_E63_ROMDATA_CONTEXT = { &TSS_GET_TSIL_METHOD_DATA_CONTEXT(ROMDATA,63), &TSS_GET_TSIL_METHOD_DATA_CONTEXT(RAMDATA,63), TSS_TSIL_EL_CHANNEL_NUM(63)};
              TSS_TSIL_ELECTRODE_RAMDATA TSS_E63_RAMDATA_CONTEXT = { 0u };
      #endif
    #endif
  #endif
#endif

#endif
